package com.xjrsoft.common.enums;

/**
 * @Author: tzx
 * @Date: 2022/10/12 16:07
 */
public enum WorkflowApproveType {
    /**
     * 同意
     */
    AGREE(0, "同意"),
    /**
     * 拒绝
     */
    DISAGREE(1, "拒绝"),
    /**
     * 指定
     */
    REJECT(2, "驳回"),

    /**
     * 结束
     */
    FINISH(3, "结束"),

    /**
     * 其他（用户自定义）
     */
    OTHER(4, "其他（用户自定义）"),

    /**
     * 撤回
     */
    WITHDRAW(5, "撤回");



    final int code;
    final String value;

    public int getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    WorkflowApproveType(final int code, final String message) {
        this.code = code;
        this.value = message;
    }

    public static WorkflowApproveType fromCode(int code) {
        for (WorkflowApproveType color : WorkflowApproveType.values()) {
            if (color.getCode() == code) {
                return color;
            }
        }
        throw new IllegalArgumentException("Invalid code: " + code);
    }
}
