package com.xjrsoft.common.model.generator;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * 表单组件配置
 * @Author: tzx
 * @Date: 2022/5/11 15:45
 */
@Data
public class ComponentConfig {

    /**
     * label标签
     */
    private String label;

    /**
     * 组件类型
     */
    private String type;

    /**
     * 组件随机表示
     */
    private String key;

    /**
     * 绑定表名
     */
    private String bindTable;

    /**
     * 绑定表字段
     */
    private String bindField;

    /**
     * 验证
     */
    private List<Map<String,Object>> rules;

    /**
     * 子表单   的子组件
     */
    private List<ComponentConfig> children;


    /**
     * 栅格布局 选项卡  的子组件 特有属性
     */
    private List<LayoutOptionModel> layout;

    /**
     * 各组件 特殊配置信息  具体配置信息
     */
    private Map<String,Object> options;

    /**
     * range特有 绑定开始字段
     */
    private String bindStartTime;

    /**
     * range特有 绑定结束字段
     */
    private String bindEndTime;


    /**
     * 隐藏组件特有 值
     */
    private String value;

    /**
     * 隐藏组件特有 编码
     */
    private String code;

    private Boolean isSubFormChild;
}
