package com.xjrsoft.module.activity.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
* @title: 活动信息分页查询入参
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class ActivityInfoTodayDto extends PageInput {

    @ApiModelProperty("活动类别(1:校企合作活动 2:赛事活动)")
    private Integer category;

    @ApiModelProperty("是否有效活动(1:是 0:否)")
    private Integer isEffective;

    @ApiModelProperty("登录者id")
    private Long loginUserId;

    @ApiModelProperty("活动名称")
    private String name;

    @ApiModelProperty("活动类型(xjr_dictionary_detail[match_activity_type])")
    private String type;

    @ApiModelProperty("组织部门(xjr_department)")
    private Long orgId;

    @ApiModelProperty("状态(0:未发布 1:报名中 2:报名结束 3:活动结束)")
    private Integer status;

    @ApiModelProperty("活动ids")
    private List<Long> activityInfoIds;

    @ApiModelProperty("状态(0:未发布 1:报名中 2:报名结束 3:活动结束)")
    private Integer roleType;
}
