package com.xjrsoft.module.activity.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
* @title: 活动信息
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Data
@TableName("activity_info")
@ApiModel(value = "activity_info", description = "活动信息")
public class ActivityInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 赛事名称
    */
    @ApiModelProperty("赛事名称")
    private String name;
    /**
    * 活动地点
    */
    @ApiModelProperty("活动地点")
    private String place;
    /**
    * 活动开始时间
    */
    @ApiModelProperty("活动开始时间")
    private Date startDate;
    /**
    * 活动结束时间
    */
    @ApiModelProperty("活动结束时间")
    private Date endDate;
    /**
    * 活动类型(xjr_dictionary_detail[match_activity_type])
    */
    @ApiModelProperty("活动类型(xjr_dictionary_detail[match_activity_type])")
    private String type;
    /**
    * 组织部门(xjr_department)
    */
    @ApiModelProperty("组织部门(xjr_department)")
    private Long orgId;
    /**
    * 报名结束时间
    */
    @ApiModelProperty("报名结束时间")
    private Date enrollEndTime;
    /**
    * 活动负责人
    */
    @ApiModelProperty("活动负责人")
    private String dutyPerson;
    /**
    * 活动负责人电话
    */
    @ApiModelProperty("活动负责人电话")
    private String dutyPersonMobile;
    /**
    * 封面图片
    */
    @ApiModelProperty("封面图片")
    private String coverFileId;
    /**
    * 报名范围
    */
    @ApiModelProperty("报名范围")
    private String enrollRange;
    /**
    * 状态(0:未发布 1:报名中 2:报名结束 3:活动结束)
    */
    @ApiModelProperty("状态(0:未发布 1:报名中 2:报名结束 3:活动结束)")
    private Integer status;
    /**
    * 活动内容
    */
    @ApiModelProperty("活动内容")
    private String content;
    /**
    * 合作企业
    */
    @ApiModelProperty("合作企业")
    private Long enterpriseId;
    /**
    * 1:校企合作活动 2:赛事活动
    */
    @ApiModelProperty("活动类别(1:校企合作活动 2:赛事活动)")
    private Integer category;

    /**
    * activityEnrollRange
    */
    @ApiModelProperty("activityEnrollRange子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "activityInfoId")
    private List<ActivityEnrollRange> activityEnrollRangeList;
    /**
    * activityEnroll
    */
    @ApiModelProperty("activityEnroll子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "activityInfoId")
    private List<ActivityEnroll> activityEnrollList;

}