package com.xjrsoft.module.activity.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.activity.dto.ActivityEnrollExportDto;
import com.xjrsoft.module.activity.dto.ActivityEnrollPageDto;
import com.xjrsoft.module.activity.dto.AddActivityEnrollDto;
import com.xjrsoft.module.activity.entity.ActivityEnroll;
import com.xjrsoft.module.activity.vo.ActivityEnrollPageVo;

import java.util.List;

/**
* @title: 活动信息
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/

public interface IActivityEnrollService extends MPJBaseService<ActivityEnroll> {
    /**
    * 新增
    *
    * @return
    */
    Boolean save(AddActivityEnrollDto dto);

    /**
    * 更新
    *
    * @param activityInfo
    * @return
    */
    Boolean update(ActivityEnroll activityInfo);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);


    Page<ActivityEnrollPageVo> getPage(Page<ActivityEnrollPageVo> page, ActivityEnrollPageDto dto);

    List<ActivityEnrollPageVo> getList(ActivityEnrollExportDto dto);
}
