package com.xjrsoft.module.activity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 活动信息分页列表出参
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Data
public class ActivityInfoPageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 赛事名称
    */
    @ApiModelProperty("活动名称")
    private String name;
    /**
    * 活动地点
    */
    @ApiModelProperty("活动地点")
    private String place;
    /**
    * 活动开始时间
    */
    @ApiModelProperty("活动开始时间")
    private Date startDate;
    /**
    * 活动结束时间
    */
    @ApiModelProperty("活动结束时间")
    private Date endDate;
    /**
    * 活动类型(xjr_dictionary_detail[match_activity_type])
    */
    @ApiModelProperty("活动类型(xjr_dictionary_detail[match_activity_type])")
    private String type;

    @ApiModelProperty("活动类型-中文")
    private String typeCn;
    /**
    * 组织部门(xjr_department)
    */
    @ApiModelProperty("组织部门(xjr_department)")
    private Long orgId;

    @ApiModelProperty("组织部门名称")
    private String orgCn;
    /**
    * 报名结束时间
    */
    @ApiModelProperty("报名结束时间")
    private Date enrollEndTime;
    /**
    * 活动负责人
    */
    @ApiModelProperty("活动负责人")
    private String dutyPerson;
    /**
    * 活动负责人电话
    */
    @ApiModelProperty("活动负责人电话")
    private String dutyPersonMobile;
    /**
    * 封面图片
    */
    @ApiModelProperty("封面图片")
    private String coverFileId;

    @ApiModelProperty("封面图片地址")
    private String coverFileUrl;
    /**
    * 报名范围
    */
    @ApiModelProperty("报名范围")
    private String enrollRange;
    /**
    * 状态(0:未发布 1:报名中 2:报名结束 3:活动结束)
    */
    @ApiModelProperty("状态(0:未发布 1:报名中 2:报名结束 3:活动结束)")
    private Integer status;
    /**
    * 活动内容
    */
    @ApiModelProperty("活动内容")
    private String content;
    /**
    * 合作企业
    */
    @ApiModelProperty("合作企业")
    private Long enterpriseId;
    /**
    * 1:校企合作活动 2:赛事活动 3:社团活动 4:思政德育活动 5:教研培训 6:党建活动
    */
    @ApiModelProperty("1:校企合作活动 2:赛事活动 3:社团活动 4:思政德育活动 5:教研培训 6:党建活动 7:课表数据 8:会议")
    private Integer category;

    @ApiModelProperty("合作企业名称")
    private String enterpriseName;

    @ApiModelProperty("报名人数")
    private Integer enrollCount;


    @ApiModelProperty("是否已报名(1:是 0:否)")
    private Integer isEnroll;

    @ApiModelProperty("参与状态(0:待确认 1:未参与 2:已参与)")
    private Integer enrollStatus;

}
