package com.xjrsoft.module.courseTable.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
* @title: 第二课堂
* @Author dzx
* @Date: 2024-07-29
* @Version 1.0
*/
@Data
@TableName("second_course")
@ApiModel(value = "second_course", description = "第二课堂")
public class SecondCourse implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 学期id
    */
    @ApiModelProperty("学期id")
    private Long baseSemesterId;
    /**
    * 课程名称
    */
    @ApiModelProperty("课程名称")
    private String name;
    /**
    * 课程主要内容
    */
    @ApiModelProperty("课程主要内容")
    private String content;
    /**
    * 开课地点
    */
    @ApiModelProperty("开课地点")
    private String place;
    /**
    * 讲课老师
    */
    @ApiModelProperty("讲课老师")
    private String teacherName;
    /**
    * 封面图片
    */
    @ApiModelProperty("封面图片")
    private Long coverId;
    /**
    * 参与范围
    */
    @ApiModelProperty("参与范围")
    private String enrollRange;
    /**
    * 状态(0:未发布 1:进行中 2:已结束)
    */
    @ApiModelProperty("状态(0:未发布 1:进行中 2:已结束)")
    private Integer status;

    /**
    * secondCourseTime
    */
    @ApiModelProperty("secondCourseTime子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "secondCourseId")
    private List<SecondCourseTime> secondCourseTimeList;
    /**
    * secondCourseEnrollRange
    */
    @ApiModelProperty("secondCourseEnrollRange子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "secondCourseId")
    private List<SecondCourseEnrollRange> secondCourseEnrollRangeList;
    /**
    * secondCourseEnroll
    */
    @ApiModelProperty("secondCourseEnroll子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "secondCourseId")
    private List<SecondCourseEnroll> secondCourseEnrollList;

}