package com.xjrsoft.module.evaluate.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;



/**
* @title: 评价管理
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class AddEvaluateManageDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 评价模版编号
    */
    @ApiModelProperty("评价模版编号")
    private Long evaluateTemplateId;
    /**
    * 学期id
    */
    @ApiModelProperty("学期id")
    private Long baseSemesterId;
    /**
    * 题目分数（最小为0，只能整数）
    */
    @ApiModelProperty("发布部门id")
    private Long orgId;
    /**
    * 评价名称
    */
    @ApiModelProperty("评价名称")
    private String name;
    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private Date endTime;
    /**
     * 是否自动生成（0:否，1:是）
     */
    @ApiModelProperty("是否自动生成（0:否，1:是）")
    private Integer isAutoCreate;
    /**
     * 生成频率（xjr_dictionary_detail[create_frequency]）
     */
    @ApiModelProperty("生成频率（xjr_dictionary_detail[create_frequency]）")
    private String createFrequency;
    /**
    * 状态（1：进行中，0，暂停）
    */
    @ApiModelProperty("状态（-1：未发布，1：进行中，0，暂停）")
    private Integer status;

}
