package com.xjrsoft.module.evaluate.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 评价结果
* @Author szs
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
@TableName("evaluate_result")
@ApiModel(value = "evaluate_result", description = "评价结果")
public class EvaluateResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 评价项编号
    */
    @ApiModelProperty("评价项编号")
    private Long evaluateItemId;
    /**
    * 参评人编号
    */
    @ApiModelProperty("参评人编号")
    private Long userId;
    /**
    * 被评对象（teacher：老师，class：班级，student：学生）
    */
    @ApiModelProperty("被评对象（teacher：老师，class：班级，student：学生）")
    private String evaluatedObject;
    /**
    * 被评对象编号
    */
    @ApiModelProperty("被评对象编号")
    private Long evaluatedObjectId;
    /**
    * 评价分数
    */
    @ApiModelProperty("评价分数")
    private Integer score;
    /**
    * 建议/意见
    */
    @ApiModelProperty("建议/意见")
    private String opinion;
    /**
     * 提交记录主键编号
     */
    @ApiModelProperty("提交记录主键编号")
    private String submitRecordId;
}