package com.xjrsoft.module.hikvision.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 简约系统对照表
* @Author dzx
* @Date: 2024-01-23
* @Version 1.0
*/
@Data
@TableName("hikvision_data")
@ApiModel(value = "海康威视系统对照表", description = "海康威视系统对照表")
public class HikvisionData implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 创建时间
    */
    @ApiModelProperty("首次推送时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 表名
    */
    @ApiModelProperty("表名")
    private String tableName;
    /**
    * 英文姓名
    */
    @ApiModelProperty("数据id")
    private String sourceId;
    /**
    * 姓名拼音
    */
    @ApiModelProperty("对应的海康威视系统的id")
    private String hikvisionId;

    @ApiModelProperty("发送数据")
    private String sendData;

}