package com.xjrsoft.module.hikvision.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 查询海康门禁点事件返回结果对象
 * @Author: dzx
 * @Date: 2024年9月19日
 */
@Data
public class HikvisionCarOutinPageVo {


    @ApiModelProperty("过车记录唯一标识")
    private String crossRecordSyscode;

    @ApiModelProperty("停车库唯一标识")
    private String parkSyscode;

    @ApiModelProperty("停车库名称")
    private String parkName;

    @ApiModelProperty("出入口唯一标识")
    private String entranceSyscode;

    @ApiModelProperty("出入口名称")
    private String entranceName;

    @ApiModelProperty("车道唯一标识")
    private String roadwaySyscode;

    @ApiModelProperty("车道名称")
    private String roadwayName;

    @ApiModelProperty("是否出场(0-进场， 1-出场)")
    private Integer vehicleOut;

    @ApiModelProperty("放行模式(0-禁止放行，1-固定车包期，2-临时车入场，3-预约车入场，10-离线出场，11-缴费出场，12-预付费出场，13-免费出场，30- 非法卡不放行，31-手动放行，32-特殊车辆放行，33-节假日放行，35-群组放行，36-遥控器开闸)")
    private Integer releaseMode;

    @ApiModelProperty("放行结果(0-未放行 1-正常放行 2-离线放行)")
    private Integer releaseResult;

    @ApiModelProperty("放行方式(10-未开闸 11-自动开闸 12-人工/人工开闸 13-遥控器开闸)")
    private Integer releaseWay;

    @ApiModelProperty("放行原因(100-固定车自动放行 101-临时车自动放行 102-预约车自动放行 103-一户多车自动放行)")
    private Integer releaseReason;

    @ApiModelProperty("车牌号码")
    private String plateNo;

    @ApiModelProperty("卡片号码")
    private String cardNo;

    @ApiModelProperty("车辆颜色(0：其他颜色； 1：白色； 2：银色； 3：灰色； 4：黑色； 5：红色； 6：深蓝色； 7：蓝色； 8：黄色； 9：绿色； 10：棕色； 11：粉色； 12：紫色)")
    private Integer vehicleColor;

    @ApiModelProperty("车辆类型(0：其他车； 1：小型车； 2：大型车； 3：摩托车)")
    private Integer vehicleType;

    @ApiModelProperty("车牌颜色(0:蓝色,1:黄色,2:白色,3:黑色,4:绿色,5:民航黑色, 255:其他颜色)")
    private Integer plateColor;

    @ApiModelProperty("车牌类型(0:标准民用车,1:02式民用车,3:警车,4:民用车双行尾牌车,5:使馆车,6:农用车,7:摩托车,8:新能源车)")
    private Integer plateType;

    @ApiModelProperty("车辆分类")
    private String carCategory;

    @ApiModelProperty("车辆分类名称")
    private String carCategoryName;

    @ApiModelProperty("车辆图片uri")
    private String vehiclePicUri;

    @ApiModelProperty("车牌图片uri")
    private String plateNoPicUri;

    @ApiModelProperty("人脸图片uri")
    private String facePicUri;

    @ApiModelProperty("图片服务唯一标识")
    private String aswSyscode;

    @ApiModelProperty("通过时间")
    private String crossTime;

    @ApiModelProperty("创建时间")
    private String createTime;
}
