package com.xjrsoft.module.material.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.List;



/**
* @title: 材料提交任务
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class AddMaterialTaskDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 任务名称
     */
    @ApiModelProperty("任务名称")
    private String name;
    /**
    * 材料提交任务类型(material_type)
    */
    @ApiModelProperty("材料提交任务类型(material_type)")
    private Long materialTypeId;
    /**
     * 任务类型(可多选 xjr_dictionary_detail[material_category])
     */
    @ApiModelProperty("任务类型(可多选 xjr_dictionary_detail[material_category])")
    private String materialCategory;
    /**
    * 要求完成日期
    */
    @ApiModelProperty("要求完成日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate requiredCompleteTime;
    /**
    * 要求
    */
    @ApiModelProperty("要求")
    private String requirement;
    /**
    * 指派给几人
    */
    @ApiModelProperty("指派给几人")
    private Integer assignPerson;
    /**
    * 已提交人数
    */
    @ApiModelProperty("已提交人数")
    private Integer submitedPerson;
    /**
    * 按时提交
    */
    @ApiModelProperty("按时提交")
    private Integer onTimePerson;
    /**
    * 延迟提交
    */
    @ApiModelProperty("延迟提交")
    private Integer timeDelay;
    /**
     * 状态 1=未开始 2=进行中 3=结束
     */
    @ApiModelProperty("状态 1=未开始 2=进行中 3=结束")
    private Integer status;
    /**
    * materialTaskAssign
    */
//    @ApiModelProperty("materialTaskAssign子表")
//    private List<AddMaterialTaskAssignDto> materialTaskAssignList;
    /**
     * 用户列表
     */
    @ApiModelProperty("用户列表")
    private List<MaterialAssignUserDto> userList;
    /**
     * 是否发送消息 0=不发 1=发送 类型里不需要
     */
    @ApiModelProperty("是否发送消息 0=不发 1=发送")
    private Integer sendMessage;
    /**
    * materialTaskAppendix
    */
    @ApiModelProperty("materialTaskAppendix子表")
    private List<AddMaterialTaskAppendixDto> materialTaskAppendixList;
}
