package com.xjrsoft.module.material.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;


/**
* @title: 材料提交任务分页查询入参
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class MaterialTaskPageDto extends PageInput {
    /**
     * 任务名称
     */
    @ApiModelProperty("任务名称")
    private String name;
    /**
     * 状态 1=未开始 2=进行中 3=结束
     */
    @ApiModelProperty("状态 1=未开始 2=进行中 3=结束")
    private Integer status;
    /**
     * 材料提交任务类型(material_type)
     */
    @ApiModelProperty("材料提交任务类型(material_type)")
    private Long materialTypeId;
    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDateStart;
    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDateEnd;

}
