package com.xjrsoft.module.material.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

@Data
public class MaterialTaskWaitPageVo {
    /**
     * 主键编号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
     * 指派人
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建人")
    @ApiModelProperty("指派人")
    private String createUserName;
    /**
     * 任务名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("任务名称")
    @ApiModelProperty("任务名称")
    private String name;
    /**
     * 状态 1=未开始 2=进行中 3=结束
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("状态 1=未开始 2=进行中 3=结束")
    @ApiModelProperty("状态 1=未开始 2=进行中 3=结束")
    private Integer status;
    /**
     * 要求完成日期
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("要求完成日期")
    @ApiModelProperty("要求完成日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate requiredCompleteTime;
    /**
     * 指派给几人
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("指派给几人")
    @ApiModelProperty("指派给几人")
    private Integer assignPerson;
    /**
     * 已提交人数
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("已提交人数")
    @ApiModelProperty("已提交人数")
    private Integer submitedPerson;
    /**
     * 按时提交
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("按时提交")
    @ApiModelProperty("按时提交")
    private Integer onTimePerson;
    /**
     * 延迟提交
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("延迟提交")
    @ApiModelProperty("延迟提交")
    private Integer timeDelay;

    /**
     * 分配ID
     */
    @ApiModelProperty("分配ID")
    private Long assignId;
    /**
     * 执行提交 1=未提交 2=按时提交 3=延迟提交
     */
    @ApiModelProperty("执行提交 1=未提交 2=按时提交 3=延迟提交")
    private Integer executiveStatus;
    /**
     * 转办给几人
     */
    @ApiModelProperty("转办给几人")
    private Integer transferAssignPerson;
    /**
     * 转办已提交人数
     */
    @ApiModelProperty("转办已提交人数")
    private Integer transferSubmitedPerson;

    /**
     * 审核状态 1=未提交 2=待审核 3=通过 4=重做
     */
    @ApiModelProperty("审核状态 1=未提交 2=待审核 3=通过 4=重做")
    private Integer processStatus;

    /**
     * 任务类型(可多选 xjr_dictionary_detail[material_category])
     */
    @ApiModelProperty("任务类型(可多选 xjr_dictionary_detail[material_category])")
    private String materialCategory;

    /**
     * 文件模板
     */
    @ApiModelProperty("文件模板")
    private Long materialId;
}
