package com.xjrsoft.module.oa.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
* @title: 文件接收管理
* @Author fanxp
* @Date: 2023-11-03
* @Version 1.0
*/
@Data
@TableName("file_receive")
@ApiModel(value = "文件接收管理对象", description = "文件接收管理")
@AllArgsConstructor
@NoArgsConstructor
public class FileReceive implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 接收用户编号
    */
    @ApiModelProperty("接收用户编号")
    private Long receiverUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;
    /**
    * 数据编号（根据文件类型判断，数据来源->wf_oa_push,wf_oa_pull）
    */
    @ApiModelProperty("数据编号（根据文件类型判断，数据来源->wf_oa_push,wf_oa_pull）")
    private Long dataId;
    /**
    * 文件类型 1=发文 2=收文
    */
    @ApiModelProperty("文件类型 1=发文 2=收文")
    private Integer fileType;


}