package com.xjrsoft.module.oa.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 新闻中心用户关系表
 * </p>
 *
 * @author zlf
 * @since 2022-06-16
 */
@TableName("xjr_oa_news_relation")
@ApiModel(value = "NewsRelation对象", description = "新闻中心用户关系表")
@Data
@EqualsAndHashCode(callSuper = false)
public class NewsRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("新闻主键")
    private Long newsId;

    @ApiModelProperty("用户主键")
    private Long userId;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;

    @ApiModelProperty("阅读标记  0=未读 1=已读")
    private Integer readMark;

    @ApiModelProperty("阅读时间")
    private LocalDateTime readDate;

    @ApiModelProperty("回复内容")
    private String replyContent;
}
