package com.xjrsoft.module.oa.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 公文发文
* @Author dzx
* @Date: 2023-12-07
* @Version 1.0
*/
@Data
@TableName("official_document_post")
@ApiModel(value = "official_document_post", description = "公文发文")
public class OfficialDocumentPost implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 发文标题
    */
    @ApiModelProperty("发文标题")
    private String postTitle;
    /**
    * 发文文号（发文文号自动生成，年+三位数字（三位数字从001开始）如2023001、2023002，依次生成）
    */
    @ApiModelProperty("发文文号（发文文号自动生成，年+三位数字（三位数字从001开始）如2023001、2023002，依次生成）")
    private String postNumber;
    /**
    * 发文时间
    */
    @ApiModelProperty("发文时间")
    private Date postDate;
    /**
    * 发文所属机构(xjr_department)
    */
    @ApiModelProperty("发文所属机构(xjr_department)")
    private Long postDepartmentId;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;


}