package com.xjrsoft.module.oa.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 公文收文
* @Author szs
* @Date: 2024-03-13
* @Version 1.0
*/
@Data
@TableName("official_document_received")
@ApiModel(value = "official_document_received", description = "公文收文")
public class OfficialDocumentReceived implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 收文标题
    */
    @ApiModelProperty("收文标题")
    private String receivedTitle;
    /**
    * 收文文号
    */
    @ApiModelProperty("收文文号")
    private String receivedNumber;
    /**
    * 收文时间
    */
    @ApiModelProperty("收文时间")
    private Date receivedDate;
    /**
    * 来文机构
    */
    @ApiModelProperty("来文机构")
    private String communicationOrg;
    /**
    * 来文文号
    */
    @ApiModelProperty("来文文号")
    private String communicationNumber;
    /**
    * 办结时间
    */
    @ApiModelProperty("办结时间")
    private Date checkoutTime;
    /**
    * 文件密级(xjr_dictionary_item[document_level])
    */
    @ApiModelProperty("文件密级(xjr_dictionary_item[document_level])")
    private String documentLevel;
    /**
    * 紧急程度(xjr_dictionary_item[emergency_level])
    */
    @ApiModelProperty("紧急程度(xjr_dictionary_item[emergency_level])")
    private String emergencyLevel;
    /**
    * 收文类型(xjr_dictionary_item[received_type])
    */
    @ApiModelProperty("收文类型(xjr_dictionary_item[received_type])")
    private String receivedType;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;


}