package com.xjrsoft.module.oa.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.time.LocalTime;


/**
* @title: 会议申请
* @Author dzx
* @Date: 2024-09-04
* @Version 1.0
*/
@Data
@TableName("wf_meeting_apply")
@ApiModel(value = "wf_meeting_apply", description = "会议申请")
public class WfMeetingApply implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;

    @ApiModelProperty("会议日期")
    private LocalDateTime meetingApplyDate;

    @ApiModelProperty("会议开始时间")
    private LocalTime meetingApplyS;

    @ApiModelProperty("会议结束时间")
    private LocalTime meetingApplyE;

    @ApiModelProperty("会议地点")
    private String meetingApplyAddress;

    @ApiModelProperty("会议形式")
    private String meetingApplyFormat;

    @ApiModelProperty("参会人员")
    private String meetingApplyParticipants;

    @ApiModelProperty("主持人")
    private String meetingApplyHost;

    @ApiModelProperty("会议主题")
    private String meetingApplyTheme;

    @ApiModelProperty("会议议题")
    private String meetingApplyTopics;

    @ApiModelProperty("是否准备座牌、会标")
    private String isMonogram;

    @ApiModelProperty("会标主题")
    private String monogram;

    @ApiModelProperty("会前消息提醒")
    private String meetingApplyTip;

    @ApiModelProperty("会前资料")
    private String meetingApplyPmm;

    @ApiModelProperty("会议签到签退")
    private String meetingApplySignIn;

    @ApiModelProperty("上传权限")
    private Integer meetingApplyUp;

    @ApiModelProperty("为参会人员创建工作任务")
    private Integer meetingApplyMission;

    @ApiModelProperty("下载权限")
    private Integer meetingApplyDown;

    @ApiModelProperty("状态（0:未通过 1:通过）")
    private Integer status;
}