package com.xjrsoft.module.oa.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
* @title: 物品申购
* @Author dzx
* @Date: 2024-02-19
* @Version 1.0
*/
@Data
@TableName("wf_subscription")
@ApiModel(value = "wf_subscription", description = "物品申购")
public class WfSubscription implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 申请部门
    */
    @ApiModelProperty("申请部门")
    private String applicationDepartment;
    /**
    * 申请日期
    */
    @ApiModelProperty("申请日期")
    private Date shenQingRiQi4752;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private String userId;
    /**
    * 预估总额（元）
    */
    @ApiModelProperty("预估总额（元）")
    private Double totalAmount;
    /**
    * 附件
    */
    @ApiModelProperty("附件")
    private String folderId;
    /**
     * 编号
     */
    @ApiModelProperty("编号")
    private String number;
    /**
     * 状态（0:未审核 1:审核）
     */
    @ApiModelProperty("状态（0:未审核 1:审核）")
    private Integer status;

    /**
    * wfSubscriptionList
    */
    @ApiModelProperty("wfSubscriptionList子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "parentId")
    private List<WfSubscriptionList> wfSubscriptionListList;

}