package com.xjrsoft.module.oa.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.oa.dto.NewsPageDto;
import com.xjrsoft.module.oa.entity.News;
import com.xjrsoft.module.oa.vo.DeptIdOrClassIdVo;
import com.xjrsoft.module.oa.vo.NewsPageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/**
 * <p>
 * 新闻中心表 Mapper 接口
 * </p>
 *
 * @author zlf
 * @since 2022-06-16
 */
@Mapper
public interface NewsMapper extends MPJBaseMapper<News> {
    IPage<NewsPageVo> manageBox(IPage<NewsPageDto> page,NewsPageDto dto);

    IPage<NewsPageVo> receiptBox(IPage<NewsPageDto> page,NewsPageDto dto);

    List<DeptIdOrClassIdVo> getDeptIdOrClassId(@Param("personalIdList") List<Long> personalIdList);


    @Update("UPDATE xjr_oa_news_relation SET read_mark = 1 WHERE user_id = #{userId}")
    void allRead(Long userId);
}
