package com.xjrsoft.module.oa.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
* @title: 文件发送管理表单出参
* @Author fanxp
* @Date: 2023-11-03
* @Version 1.0
*/
@Data
public class FileReceivePushVo {

    /**
     *
     */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
     * 发文名称
     */
    @ApiModelProperty("发文名称")
    private String name;
    /**
     * 发文人
     */
    @ApiModelProperty("发文人")
    private String userName;
    /**
     * 说明
     */
    @ApiModelProperty("说明")
    private String remark;
    /**
     * 发文字号
     */
    @ApiModelProperty("发文字号")
    private String number;
    /**
     * 拟稿人
     */
    @ApiModelProperty("拟稿人")
    private String drafters;
    /**
     * 接收人
     */
    @ApiModelProperty("接收人")
    private String recipients;
    /**
     * 发文单位意见
     */
    @ApiModelProperty("发文单位意见")
    private String institution;
    /**
     * 会办单位意见
     */
    @ApiModelProperty("会办单位意见")
    private String backOpinion;
    /**
     * 主题词
     */
    @ApiModelProperty("主题词")
    private String tags;
    /**
     * 秘密等级
     */
    @ApiModelProperty("秘密等级")
    private String secretLevel;
    /**
     * 保密期限
     */
    @ApiModelProperty("保密期限")
    private String confidentialityPeriod;
    /**
     * 印发机关
     */
    @ApiModelProperty("印发机关")
    private String issuingAuthority;
    /**
     * 紧急程度
     */
    @ApiModelProperty("紧急程度")
    private String urgency;
    /**
     * 打印份数
     */
    @ApiModelProperty("打印份数")
    private Double printNumber;
    /**
     * 印发日期
     */
    @ApiModelProperty("印发日期")
    private LocalDateTime dateOfIssue;
    /**
     * 附件
     */
    @ApiModelProperty("附件")
    private String files;

    /**
     * 发文部门
     */
    @ApiModelProperty("发文部门")
    private String orgName;

    /**
     * 公文附件列表
     */
    @ApiModelProperty("公文附件列表")
    private List<File> fileInfos;
}
