package com.xjrsoft.module.oa.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Author: tzx
 * @Date: 2022/6/27 15:37
 */
@Data
public class NewsPageVo {
    /**
     * 新闻主键
     */
    @ApiModelProperty("新闻主键")
    private Long id;

    /**
     * 类型（1-新闻2-公告）
     */
    @ApiModelProperty("类型（1-新闻2-公告）")
    private Integer typeId;

    /**
     * 所属类别主键
     */
    @ApiModelProperty("所属类别主键")
    private Long categoryId;

    /**
     * 所属类别
     */
    @ApiModelProperty("所属类别")
    private String category;

    /**
     * 所属类别
     */
    @ApiModelProperty("所属类别名称")
    private String categoryName;

    /**
     * 完整标题
     */
    @ApiModelProperty("完整标题")
    private String fullHead;

    /**
     * 标题颜色
     */
    @ApiModelProperty("标题颜色")
    private String fullHeadColor;

    /**
     * 简略标题
     */
    @ApiModelProperty("简略标题")
    private String briefHead;

    /**
     * 作者
     */
    @ApiModelProperty("作者")
    private String authorName;

    /**
     * 编辑
     */
    @ApiModelProperty("编辑")
    private String compileName;

    /**
     * Tag词
     */
    @ApiModelProperty("Tag词")
    private String tagWord;

    /**
     * 关键字
     */
    @ApiModelProperty("关键字")
    private String keyword;

    /**
     * 来源
     */
    @ApiModelProperty("来源")
    private String sourceName;

    /**
     * 来源地址
     */
    @ApiModelProperty("来源地址")
    private String sourceAddress;

    /**
     * 新闻内容
     */
    @ApiModelProperty("新闻内容")
    private String newsContent;

    /**
     * 发布时间
     */
    @ApiModelProperty("发布时间")
    private LocalDateTime releaseTime;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String description;

    /**
     * 班级(base_class)
     */
    @ApiModelProperty("班级(base_class)")
    private Long classId;

    /**
     * 班级(base_class)
     */
    @ApiModelProperty("班级(base_class)")
    private String classIdCN;

    /**
     * 紧急程度  1=一般 2=紧急
     */
    @ApiModelProperty("紧急程度  1=一般 2=紧急")
    private Integer emergent;

    /**
     * 发送部门
     */
    @ApiModelProperty("发送部门")
    private Long sendDeptId;

    /**
     * 张贴开起时间
     */
    @ApiModelProperty("张贴开起时间")
    private LocalDateTime sendStartDate;

    /**
     * 张贴结束时间
     */
    @ApiModelProperty("张贴结束时间")
    private LocalDateTime sendEndDate;

    /**
     * 接收人回复要求 1=必须回复 2=不允许回复 3=可以回复 (不强制要求)
     */
    @ApiModelProperty("接收人回复要求 1=必须回复 2=不允许回复 3=可以回复 (不强制要求)")
    private Integer openReply;

    /**
     * 是否允许接收人转发 0=不能转发 1=允许转发
     */
    @ApiModelProperty("是否允许接收人转发 0=不能转发 1=允许转发")
    private Integer openForward;

    /**
     * 是否允许接收人查看其他接收人 0=不允许查看 1=允许查看
     */
    @ApiModelProperty("是否允许接收人查看其他接收人 0=不允许查看 1=允许查看")
    private Integer openViewOther;

    /**
     * 级别 1=校级 2=班级
     */
    @ApiModelProperty("级别 1=校级 2=班级")
    private Integer level;

    /**
     * 状态 1=未发布 2=已发布 3=下架
     */
    @ApiModelProperty("状态 1=未发布 2=已发布 3=下架")
    private Integer status;

    @ApiModelProperty("创建人名字")
    private String createUserName;

    @ApiModelProperty("封面")
    private Long cover;

    @ApiModelProperty("是否已读(2:是 0:否)")
    private Integer readMark;
}
