package com.xjrsoft.module.oa.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Author: szs
 * @Date: 2022/6/27 15:37
 */
@Data
public class ProclamationPageVo {
    /**
     * 公告主键
     */
    @ApiModelProperty("公告主键")
    private Long id;

    /**
     * 类型（1-新闻 2-公告）
     */
    @ApiModelProperty("类型（1-新闻 2-公告）")
    private Integer typeId;

    /**
     * 完整标题
     */
    @ApiModelProperty("完整标题")
    private String fullHead;

    /**
     * 标题颜色
     */
    @ApiModelProperty("标题颜色")
    private String fullHeadColor;

    /**
     * 公告内容
     */
    @ApiModelProperty("公告内容")
    private String newsContent;

    /**
     * 发布时间
     */
    @ApiModelProperty("发布时间")
    private LocalDateTime releaseTime;

    /**
     * 紧急程度  1=一般 2=紧急
     */
    @ApiModelProperty("紧急程度  1=一般 2=紧急")
    private Integer emergent;

    /**
     * 发送部门
     */
    @ApiModelProperty("发送部门")
    private Long sendDeptId;

    /**
     * 发送部门
     */
    @ApiModelProperty("发送部门")
    private String sendDeptIdCN;

    /**
     * 张贴结束时间
     */
    @ApiModelProperty("张贴结束时间")
    private LocalDateTime sendEndDate;

    /**
     * 接收人回复要求 1=必须回复 2=不允许回复 3=可以回复 (不强制要求)
     */
    @ApiModelProperty("接收人回复要求 1=必须回复 2=不允许回复 3=可以回复 (不强制要求)")
    private Integer openReply;

    /**
     * 状态 1=未发布 2=已发布 3=下架
     */
    @ApiModelProperty("状态 1=未发布 2=已发布 3=下架")
    private Integer status;
}
