package com.xjrsoft.module.organization.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

/**
 * @title: UserPageDto
 * @Author tzx
 * @Date: 2022/4/4 17:06
 * @Version 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class UserPageDto extends PageInput {

    private Long departmentId;

    @Length(max = 20, message = "用户名长度不能超过20")
    private String userName;

    @Length(max = 20, message = "姓名长度不能超过20")
    private String name;

    @Length(max = 10, message = "编码长度不能超过10")
    private String code;

    @Length(max = 20, message = "手机号长度不能超过20")
    private String mobile;

    private Integer userType;
    @ApiModelProperty("角色id")
    private Long roleId;

    @ApiModelProperty("树类型")
    private Integer treeType;

    @ApiModelProperty("树id")
    private Long treeId;

    private String employType;

    private String employWay;

    @ApiModelProperty("班级id")
    private Long classId;
}
