package com.xjrsoft.module.outint.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;


/**
* @title: 学生出入记录分页查询入参
* @Author dzx
* @Date: 2024-05-14
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class StudentOutInRecordPageDto extends PageInput {

    /**
     * 记录开始时间
     */
    @ApiModelProperty("记录开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime startTime;
    /**
     * 记录开始时间
     */
    @ApiModelProperty("记录结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime endTime;

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;
    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String identityCard;

    /**
     * 进出属性
     */
    @ApiModelProperty("进出属性")
    private  String status;
    /**
     * 班级
     */
    @ApiModelProperty("班级")
    private Long classId;

    /**
     * 就读方式(xjr_dictionary_item[stduy_status])
     */
    @ApiModelProperty("就读方式(xjr_dictionary_item[stduy_status])")
    private String stduyStatus;

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long userId;
}
