package com.xjrsoft.module.personnel.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Timestamp;

@Data
public class AddCarManagementDto {
    /**
     * 用户ID(xjr_user)
     */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
     * 车牌号码
     */
    @ApiModelProperty("车牌号码")
    private String carNo;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String cName;
    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String cId;
    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    private String cPhone;
    /**
     * 住址
     */
    @ApiModelProperty("住址")
    private String cAddress;
    /**
     * 车牌类型 1=民用 2=军队 3=警用 4=武警
     */
    @ApiModelProperty("车牌类型 1=民用 2=军队 3=警用 4=武警")
    private Integer cType;
    /**
     * 收费类型 1=月卡 2=临时车 3=免费车 4=储值卡
     */
    @ApiModelProperty("收费类型 1=月卡 2=临时车 3=免费车 4=储值卡")
    private Integer cFeeType;
    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Timestamp cStartTime;
    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Timestamp cEndTime;
    /**
     * 状态 1=启用 2=禁用
     */
    @ApiModelProperty("状态 1=启用 2=禁用")
    private Integer Status;
}
