package com.xjrsoft.module.personnel.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;



/**
* @title: 车辆信息审核
* @Author dzx
* @Date: 2024-05-12
* @Version 1.0
*/
@Data
public class AddCarMessageApplyDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 部门id
    */
    @ApiModelProperty("部门id")
    private Long deptId;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 身份证号
    */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
    * 有效期开始日期
    */
    @ApiModelProperty("有效期开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;
    /**
    * 有效期结束日期
    */
    @ApiModelProperty("有效期结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;
    /**
    * 车辆类型
    */
    @ApiModelProperty("车辆类型")
    private String vehicleType;
    /**
    * 车牌号
    */
    @ApiModelProperty("车牌号")
    private String carNumber;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Integer status;
    /**
    * 部门审核人用户id
    */
    @ApiModelProperty("部门审核人用户id")
    private Long deptLederUserId;
    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    private  Long userId;

}
