package com.xjrsoft.module.personnel.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
* @title: 工资发放
* @Author dzx
* @Date: 2023-11-08
* @Version 1.0
*/
@Data
@TableName("base_personnel_labour_capital")
@ApiModel(value = "工资发放对象", description = "工资发放")
public class BasePersonnelLabourCapital implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 工资发放名称
    */
    @ApiModelProperty("工资发放名称")
    private String name;
    /**
    * 发放年月
    */
    @ApiModelProperty("发放年月")
    private Date dateOfIssue;
    /**
    * 数据开始行
    */
    @ApiModelProperty("数据开始行")
    private Integer dataRow;
    /**
    * 证件类型所属列
    */
    @ApiModelProperty("证件类型所属列")
    private Integer idTypeColumn;
    /**
    * 证件号码所属列
    */
    @ApiModelProperty("证件号码所属列")
    private Integer idNumberColumn;
    /**
    * 工号所属列
    */
    @ApiModelProperty("工号所属列")
    private Integer jobNumberColumn;
    /**
    * 名称所属列
    */
    @ApiModelProperty("名称所属列")
    private Integer personnelNameColumn;
    /**
    * 合计所属列
    */
    @ApiModelProperty("合计所属列")
    private Integer amountToColumn;
    /**
    * 数据文件
    */
    @ApiModelProperty("数据文件")
    private String dataFile;

    /**
    * basePersonnelLabourCapitalData
    */
    @ApiModelProperty("basePersonnelLabourCapitalData子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "labourCapitalId")
    private List<BasePersonnelLabourCapitalData> basePersonnelLabourCapitalDataList;
    /**
    * basePersonnelLabourCapitalTitle
    */
    @ApiModelProperty("basePersonnelLabourCapitalTitle子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "labourCapitalId")
    private List<BasePersonnelLabourCapitalTitle> basePersonnelLabourCapitalTitleList;

}