package com.xjrsoft.module.personnel.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
* @title: 教职工基本信息表
* @Author brealinxx
* @Date: 2024-01-23
* @Version 1.0
*/
@Data
@TableName("base_teacher")
@ApiModel(value = "base_teacher", description = "劳资管理教职工基本信息表")
public class LaborManagement implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键编号
     */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;

    @ApiModelProperty("工号")
    @TableField(fill = FieldFill.INSERT)
    private String userName;

    @ApiModelProperty("姓名")
    @TableField(fill = FieldFill.INSERT)
    private String  name;

    @ApiModelProperty("性别代号")
    @TableField(fill = FieldFill.UPDATE)
    private int gender;

    @ApiModelProperty("入职时间")
    @TableField(fill = FieldFill.UPDATE)
    private String startWorkTime;

    @ApiModelProperty("在职状态")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private String jobState;

    @ApiModelProperty("人员类别")
    @TableField(fill = FieldFill.INSERT)
    private String natureOrganization;

    @ApiModelProperty("任职部门")
    private String departName;

    @ApiModelProperty("工作岗位")
    private String job;

}