package com.xjrsoft.module.personnel.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 人员健康信息表
* @Author dzx
* @Date: 2024-07-23
* @Version 1.0
*/
@Data
@TableName("personnel_healthy")
@ApiModel(value = "personnel_healthy", description = "人员健康信息表")
public class PersonnelHealthy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 疾病名称
    */
    @ApiModelProperty("疾病名称")
    private Long userId;
    /**
    * 疾病名称
    */
    @ApiModelProperty("疾病名称")
    private String name;
    /**
    * 疾病类别(xjr_dictionary_item[healthy_type])
    */
    @ApiModelProperty("疾病类别(xjr_dictionary_item[healthy_type])")
    private String type;
    /**
    * 病史来源
    */
    @ApiModelProperty("病史来源")
    private String source;


}