package com.xjrsoft.module.personnel.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @title: 工资发放表单出参
* @Author dzx
* @Date: 2023-11-08
* @Version 1.0
*/
@Data
public class BasePersonnelLabourCapitalVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 工资发放名称
    */
    @ApiModelProperty("工资发放名称")
    private String name;
    /**
    * 发放年月
    */
    @ApiModelProperty("发放年月")
    private Date dateOfIssue;
    /**
    * 数据开始行
    */
    @ApiModelProperty("数据开始行")
    private Integer dataRow;
    /**
    * 证件类型所属列
    */
    @ApiModelProperty("证件类型所属列")
    private Integer idTypeColumn;
    /**
    * 证件号码所属列
    */
    @ApiModelProperty("证件号码所属列")
    private Integer idNumberColumn;
    /**
    * 工号所属列
    */
    @ApiModelProperty("工号所属列")
    private Integer jobNumberColumn;
    /**
    * 名称所属列
    */
    @ApiModelProperty("名称所属列")
    private Integer personnelNameColumn;
    /**
    * 合计所属列
    */
    @ApiModelProperty("合计所属列")
    private Integer amountToColumn;
    /**
    * 数据文件
    */
    @ApiModelProperty("数据文件")
    private String dataFile;


    /**
    * basePersonnelLabourCapitalData
    */
    @ApiModelProperty("basePersonnelLabourCapitalData子表")
    private List<BasePersonnelLabourCapitalDataVo> basePersonnelLabourCapitalDataList;
    /**
    * basePersonnelLabourCapitalTitle
    */
    @ApiModelProperty("basePersonnelLabourCapitalTitle子表")
    private List<BasePersonnelLabourCapitalTitleVo> basePersonnelLabourCapitalTitleList;

}
