package com.xjrsoft.module.room.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;


/**
* @title: 查寝记录分页查询入参
* @Author szs
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class RoomBedCheckRecordPageDto extends PageInput {
    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号",hidden = true)
    private Long userId;
    /**
     * 班级编号
     */
    @ApiModelProperty("班级编号")
    private Long classId;
    /**
     * 查寝时间-开始
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("查寝时间-开始")
    @ApiModelProperty("查寝时间-开始")
    private LocalDateTime checkRecordTimeStart;
    /**
     * 查寝时间-结束
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("查寝时间-结束")
    @ApiModelProperty("查寝时间-结束")
    private LocalDateTime checkRecordTimeEnd;


}
