package com.xjrsoft.module.room.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;


/**
* @title: 留校住宿申请分页查询入参
* @Author szs
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class WfRoomStayOvernightPageDto extends PageInput {

    /**
     * 姓名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("姓名")
    @ApiModelProperty("姓名")
    private String userName;
    /**
     * 班级
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级")
    @ApiModelProperty("班级")
    private String className;
    /**
     * 学号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学号")
    @ApiModelProperty("学号")
    private String studentId;
    /**
     * 性别
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("性别")
    @ApiModelProperty("性别")
    private String genderName;
    /**
     * 开始时间
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("开始时间")
    private LocalDate startTime;
    /**
     * 结束时间
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("结束时间")
    private LocalDate endTime;
}
