package com.xjrsoft.module.room.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.room.dto.AddRoomRuleItemDto;
import com.xjrsoft.module.room.dto.RoomRulePageDto;
import com.xjrsoft.module.room.entity.RoomRule;
import com.xjrsoft.module.room.vo.RoomRulePageVo;

import java.util.List;

/**
* @title: 寝室生成规则
* @Author dzx
* @Date: 2024-01-02
* @Version 1.0
*/

public interface IRoomRuleService extends MPJBaseService<RoomRule> {
    /**
    * 新增
    *
    * @param roomRule
    * @return
    */
    Boolean add(RoomRule roomRule);

    /**
    * 更新
    *
    * @param roomRule
    * @return
    */
    Boolean update(RoomRule roomRule);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);


    /**
     * 分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<RoomRulePageVo> getPage(Page<RoomRulePageDto> page, RoomRulePageDto dto);

    Boolean bindBuilds(AddRoomRuleItemDto dto);
}
