package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 寝室分页列表出参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class RoomExcelVo {

    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 楼栋(base_office_build)
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("楼栋名称")
    @ApiModelProperty("楼栋名称")
    private String bulidName;
    /**
    * 楼层
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("楼层")
    @ApiModelProperty("楼层")
    private Integer floorNumber;
    /**
    * 寝室名称
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("寝室名称")
    @ApiModelProperty("寝室名称")
    private String roomName;
    /**
    * 入住身份
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("入住身份")
    @ApiModelProperty("入住身份")
    private String checkInStatusCn;
    /**
    * 入住性别(xjr_dictionary_item[gender])
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("入住性别")
    @ApiModelProperty("入住性别")
    private String genderCn;
    /**
    * 床位数
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("床位数")
    @ApiModelProperty("床位数")
    private Integer bedCount;

    /**
     * 寝室长
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("寝室长")
    @ApiModelProperty("寝室长")
    private String studentAppointNames;

    /**
     * 寝室长
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("宿管")
    @ApiModelProperty("宿管")
    private String teacherAppointNames;

    /**
    * 是否是混合寝室【一个寝室有多个班级的学生】（1:是 0:否）
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("混合寝室")
    @ApiModelProperty("是否是混合寝室")
    private String isMax;
    /**
    * 备注
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("备注")
    @ApiModelProperty("备注")
    private String remark;
}
