package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 寝室申请分页列表出参
* @Author dzx
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
public class WfRoomApplicantPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建人")
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建时间")
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改人")
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改时间")
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除标记")
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有效标志")
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请人")
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 班主任用户编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班主任用户编号")
    @ApiModelProperty("班主任用户编号")
    private Long headTeacherId;
    /**
    * 寝室申请类型(xjr_dictionary_item[room_applicant_type])
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("寝室申请类型(xjr_dictionary_item[room_applicant_type])")
    @ApiModelProperty("寝室申请类型(xjr_dictionary_item[room_applicant_type])")
    private String recedeType;
    /**
    * 班级名称
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级名称")
    @ApiModelProperty("班级名称")
    private String className;
    /**
    * 寝室+床位名称
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("寝室+床位名称")
    @ApiModelProperty("寝室+床位名称")
    private String roomBedNumber;
    /**
    * 开始时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("开始时间")
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
    * 离宿事由(xjr_dictionary_item[nos_reason])
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("离宿事由(xjr_dictionary_item[nos_reason])")
    @ApiModelProperty("离宿事由(xjr_dictionary_item[nos_reason])")
    private String nosReason;
    /**
    * 备注
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("备注")
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("状态（1:结束 0:未结束）")
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

}
