package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 留校住宿申请表单出参
* @Author szs
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
public class WfRoomStayOvernightVo {

    /**
    * 主键编号
    */
    @ExcelIgnore
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ExcelIgnore
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ExcelIgnore
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
     * 申请人姓名
     */
    @ColumnWidth(15)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 60)
    @ExcelProperty("申请人")
    @ApiModelProperty("申请人姓名")
    private String applicantUserIdCN;
    /**
    * 班主任用户编号
    */
    @ExcelIgnore
    @ApiModelProperty("班主任用户编号")
    private Long headTeacherId;
    /**
     * 班主任姓名
     */
    @ColumnWidth(15)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 60)
    @ExcelProperty("班主任")
    @ApiModelProperty("班主任姓名")
    private String headTeacherIdCN;
    /**
    * 寝室编号(room)
    */
    @ExcelIgnore
    @ApiModelProperty("寝室编号(room)")
    private Long roomId;
    /**
    * 寝室+床位名称
    */
    @ColumnWidth(25)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 60)
    @ExcelProperty("寝室+床位名称")
    @ApiModelProperty("寝室+床位名称")
    private String roomBedNumber;
    /**
    * 学号
    */
    @ColumnWidth(20)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 60)
    @ExcelProperty("学号")
    @ApiModelProperty("学号")
    private String studentId;
    /**
    * 性别
    */
    @ColumnWidth(15)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 60)
    @ExcelProperty("性别")
    @ApiModelProperty("性别")
    private String genderName;
    /**
    * 班级
    */
    @ColumnWidth(15)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 60)
    @ExcelProperty("班级")
    @ApiModelProperty("班级")
    private String className;
    /**
    * 开始时间
    */
    @ExcelIgnore
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
     * 开始时间
     */
    @ColumnWidth(20)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 60)
    @ExcelProperty("开始时间")
    @ApiModelProperty("开始时间")
    private String startTimeStr;
    /**
    * 结束时间
    */
    @ExcelIgnore
    @ApiModelProperty("结束时间")
    private Date endTime;
    /**
     * 结束时间
     */
    @ColumnWidth(20)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 60)
    @ExcelProperty("结束时间")
    @ApiModelProperty("结束时间")
    private String endTimeStr;
    /**
    * 时长（天）
    */
    @ColumnWidth(15)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 60)
    @ExcelProperty("时长（天）")
    @ApiModelProperty("时长（天）")
    private Integer duration;
    /**
    * 联系电话
    */
    @ColumnWidth(15)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 60)
    @ExcelProperty("联系电话")
    @ApiModelProperty("联系电话")
    private String mobile;
    /**
    * 监护人电话
    */
    @ColumnWidth(15)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 60)
    @ExcelProperty("监护人电话")
    @ApiModelProperty("监护人电话")
    private String guardianMobile;
    /**
    * 备注
    */
    @ColumnWidth(20)
    @HeadFontStyle(color = 9)
    @ContentStyle(dataFormat = 60)
    @ExcelProperty("备注")
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ExcelIgnore
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;



}
