package com.xjrsoft.module.schedule.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 课表备份
 * </p>
 *
 * @author dzx
 * @date 2024-02-03
 */
@Data
@TableName("course_table_bak")
@ApiModel(value = "CourseTableBak对象", description = "课表备份")
public class CourseTableBak implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键编号")
    private Long id;

    @ApiModelProperty("course_table主键编号")
    private Long courseTableId;

    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;

    @ApiModelProperty("教师编号(用户表)")
    private Long teacherId;

    @ApiModelProperty("教师名称")
    private String teacherName;

    @ApiModelProperty("课程编号(course)")
    private Long courseId;

    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("班级编号(class)")
    private Long classId;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("周")
    private Integer week;

    @ApiModelProperty("星期几(1-7)")
    private Integer weeks;

    @ApiModelProperty("星期中文")
    private String weeksCn;

    @ApiModelProperty("时段（1=上午 2=下午 3=晚上）")
    private Integer timePeriod;

    @ApiModelProperty("节次")
    private Integer timeNumber;

    @ApiModelProperty("场地编号(site)")
    private Long siteId;

    @ApiModelProperty("场地名称")
    private String siteName;

    @ApiModelProperty("状态 1=正常 2=错误")
    private Integer status;

    @ApiModelProperty("错误信息描述")
    private String errMsg;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime modifyDate;

    @ApiModelProperty("源数据")
    private String sourceData;

    @ApiModelProperty("简约课表的id")
    private String jianyueId;

    @ApiModelProperty("上课日期")
    private LocalDate scheduleDate;

    @ApiModelProperty("调课顶课(顶课:course_substitute 调课:course_exchange)")
    private String adjustType;

    @ApiModelProperty("调顶课申请的id")
    private Long wfCourseAdjustId;
}
