package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;



/**
* @title: 学生操行分记录管理
* @Author dzx
* @Date: 2023-11-17
* @Version 1.0
*/
@Data
public class AddBaseStudentBehaviorManageDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学生操行分考核类别编号（base_student_behavior_category）
    */
    @ApiModelProperty("学生操行分考核类别编号（base_student_behavior_category）")
    private Long baseStudentBehaviorCategoryId;
    /**
    * 学生操行分考核项目编号（base_student_behavior_project）
    */
    @ApiModelProperty("学生操行分考核项目编号（base_student_behavior_project）")
    private Long baseStudentBehaviorProjectId;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 入学年级(base_grade)
    */
    @ApiModelProperty("入学年级(base_grade)")
    private Long gradeId;
    /**
    * 班级Ids(多选)
    */
    @ApiModelProperty("班级Ids(多选)")
    private String classIds;
    /**
    * 考核时间
    */
    @ApiModelProperty("考核时间")
    private Date assessmentDate;
    /**
    * 总分
    */
    @ApiModelProperty("总分")
    private Double totalScore;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Double score;
    /**
    * 分数次数
    */
    @ApiModelProperty("分数次数")
    private Double scoreNumber;
    /**
    * 是否影响(1:是 0:否)
    */
    @ApiModelProperty("是否影响(1:是 0:否)")
    private Integer isAffect;
    /**
    * 考核用户ID(xjr_user)
    */
    @ApiModelProperty("考核用户ID(xjr_user)")
    private Long assessmentUserId;
    /**
    * 考核机构(xjr_department)
    */
    @ApiModelProperty("考核机构(xjr_department)")
    private Long assessmentDepartmentId;
    /**
    * 考核地点
    */
    @ApiModelProperty("考核地点")
    private String assessmentAddress;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 文件ID(xjr_file)
    */
    @ApiModelProperty("文件ID(xjr_file)")
    private Long fileId;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

    /**
    * baseStudentBehaviorStudentRelation
    */
    @ApiModelProperty("baseStudentBehaviorStudentRelation子表")
    private List<AddBaseStudentBehaviorStudentRelationDto> baseStudentBehaviorStudentRelationList;
    /**
    * baseStudentBehaviorClassRelation
    */
    @ApiModelProperty("baseStudentBehaviorClassRelation子表")
    private List<AddBaseStudentBehaviorClassRelationDto> baseStudentBehaviorClassRelationList;
}
