package com.xjrsoft.module.student.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class AddBaseStudentDto {
    /**
     * 用户ID(xjr_user)
     */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
     * 学号
     */
    @ApiModelProperty("学号")
    private String studentId;
    /**
     * 别名
     */
    @ApiModelProperty("别名")
    private String asName;
    /**
     * 英文姓名
     */
    @ApiModelProperty("英文姓名")
    private String enName;
    /**
     * 姓名拼音
     */
    @ApiModelProperty("姓名拼音")
    private String pyName;
    /**
     * 曾用名
     */
    @ApiModelProperty("曾用名")
    private String formerName;
    /**
     * 出生日期
     */
    @ApiModelProperty("出生日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date dayOfBirth;
    /**
     * 生日类型(xjr_dictionary_item[date_type])
     */
    @ApiModelProperty("生日类型(xjr_dictionary_item[date_type])")
    private String birthType;
    /**
     * 民族(xjr_dictionary_item[nation])
     */
    @ApiModelProperty("民族(xjr_dictionary_item[nation])")
    private String nation;
    /**
     * 血型(xjr_dictionary_item[blood_type])
     */
    @ApiModelProperty("血型(xjr_dictionary_item[blood_type])")
    private String bloodType;
    /**
     * 健康状况(xjr_dictionary_item[health])
     */
    @ApiModelProperty("健康状况(xjr_dictionary_item[health])")
    private String health;
    /**
     * 婚姻状况(xjr_dictionary_item[marital_state])
     */
    @ApiModelProperty("婚姻状况(xjr_dictionary_item[marital_state])")
    private String maritalState;
    /**
     * 政治面貌(xjr_dictionary_item[political_state])
     */
    @ApiModelProperty("政治面貌(xjr_dictionary_item[political_state])")
    private String politicalState;
    /**
     * 信仰宗教(xjr_dictionary_item[religion])
     */
    @ApiModelProperty("信仰宗教(xjr_dictionary_item[religion])")
    private String religion;
    /**
     * 国籍地区(xjr_dictionary_item[nationality])
     */
    @ApiModelProperty("国籍地区(xjr_dictionary_item[nationality])")
    private String nationality;
    /**
     * 港澳台侨外(xjr_dictionary_item[chinese_type])
     */
    @ApiModelProperty("港澳台侨外(xjr_dictionary_item[chinese_type])")
    private String chineseType;
    /**
     * 户口类别(xjr_dictionary_item[house_hold_type])
     */
    @ApiModelProperty("户口类别(xjr_dictionary_item[house_hold_type])")
    private String houseHoldType;
    /**
     * 籍贯 省(xjr_area)
     */
    @ApiModelProperty("籍贯 省(xjr_area)")
    private Long provinces;
    /**
     * 籍贯 市(xjr_area)
     */
    @ApiModelProperty("籍贯 市(xjr_area)")
    private Long city;
    /**
     * 籍贯 区/县(xjr_area)
     */
    @ApiModelProperty("籍贯 区/县(xjr_area)")
    private Long district;
    /**
     * 户口所在地 省(xjr_area)
     */
    @ApiModelProperty("户口所在地 省(xjr_area)")
    private Long houseProvinces;
    /**
     * 户口所在地 市(xjr_area)
     */
    @ApiModelProperty("户口所在地 市(xjr_area)")
    private Long houseCity;
    /**
     * 户口所在地 区/县(xjr_area)
     */
    @ApiModelProperty("户口所在地 区/县(xjr_area)")
    private Long houseDistrict;
    /**
     * 户籍地址
     */
    @ApiModelProperty("户籍地址")
    private String houseHoldAddress;
    /**
     * 所属派出所
     */
    @ApiModelProperty("所属派出所")
    private String belongsPolice;
    /**
     * 出生地 省(xjr_area)
     */
    @ApiModelProperty("出生地 省(xjr_area)")
    private Long birthProvinces;
    /**
     * 出生地 市(xjr_area)
     */
    @ApiModelProperty("出生地 市(xjr_area)")
    private Long birthCity;
    /**
     * 出生地 区/县(xjr_area)
     */
    @ApiModelProperty("出生地 区/县(xjr_area)")
    private Long birthDistrict;
    /**
     * 生源地(base_graduate_school)
     */
    @ApiModelProperty("生源地(base_graduate_school)")
    private Long graduateSchoolId;
    /**
     * 学生居住地类型(xjr_dictionary_item[residence_type])
     */
    @ApiModelProperty("学生居住地类型(xjr_dictionary_item[residence_type])")
    private String residenceType;
    /**
     * 是否随迁子女
     */
    @ApiModelProperty("是否随迁子女")
    private Integer isMigrateChildren;
    /**
     * 乘火车区间
     */
    @ApiModelProperty("乘火车区间")
    private String trainInterval;
    /**
     * 是否流动人口
     */
    @ApiModelProperty("是否流动人口")
    private Integer isFloatingPopulation;
    /**
     * 身高（cm）
     */
    @ApiModelProperty("身高（cm）")
    private Double height;
    /**
     * 体重（kg）
     */
    @ApiModelProperty("体重（kg）")
    private Double weight;
    /**
     * 视力
     */
    @ApiModelProperty("视力")
    private Double vision;
    /**
     * 特长
     */
    @ApiModelProperty("特长")
    private String specialty;


}