package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;


/**
* @title: 新生维护信息分页查询入参
* @Author dzx
* @Date: 2024-06-27
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseNewStudentPageDto extends PageInput {

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("身份证")
    private String credentialNumber;

    @ApiModelProperty("是否可调配（0：否，1：是）")
    private Integer isAdjust;

    @ApiModelProperty("是否导入成绩（0：否，1：是）")
    private Integer isImportScore;

    @ApiModelProperty("第一志愿")
    private String firstAmbition;

    @ApiModelProperty("第二志愿")
    private String secondAmbition;

    @ApiModelProperty("添加时间-开始")
    private LocalDateTime startDate;

    @ApiModelProperty("添加时间-结束")
    private LocalDateTime endDate;

    @ApiModelProperty("毕业学校")
    private String graduateSchool;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("班级状态（0：未分配， 1：已分配）")
    private Integer status;

    @ApiModelProperty("招生计划id(enrollment_plan)")
    private Long enrollmentPlanId;

    @ApiModelProperty("树类型（1：年级，2：春秋季）")
    private Integer treeType;

    @ApiModelProperty("树id")
    private Long treeId;

    @ApiModelProperty("班主任id")
    private Long teacherId;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("就读方式")
    private String stduyStatus;

    @ApiModelProperty("学期id")
    private Long baseSemesterId;

    @ApiModelProperty("是否已报到（1:是 0:否）")
    private Integer isReport;

    @ApiModelProperty("学生来源")
    private String source;
}
