package com.xjrsoft.module.student.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;


/**
* @title: 学生干部管理分页查询入参
* @Author dzx
* @Date: 2023-11-14
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentCadrePageDto extends PageInput {

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学号")
    @ApiModelProperty("学号")
    private String studentId;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生姓名")
    @ApiModelProperty("学生姓名")
    private String userName;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班级id")
    private Long classId;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级名称")
    @ApiModelProperty("班级名称")
    private String className;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("职务")
    @ApiModelProperty("职务")
    private String post;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("职务Id")
    private String postId;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("职务等级")
    private String level;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("干部部门名称")
    @ApiModelProperty("干部部门名称")
    private String cadreDeptIdCN;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("干部部门编号")
    private Long cadreDeptId;

    @ApiModelProperty("任职开始时间-开始")
    private LocalDateTime startTimeStart;

    @ApiModelProperty("任职开始时间-结束")
    private LocalDateTime startTimeEnd;

    @ApiModelProperty("任职结束时间-开始")
    private LocalDateTime endTimeStart;

    @ApiModelProperty("任职结束时间-结束")
    private LocalDateTime endTimeEnd;
}
