package com.xjrsoft.module.student.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学生毕业管理分页查询入参
* @Author dzx
* @Date: 2024-01-26
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentGraduatePageDto extends PageInput {

    @ApiModelProperty("班级id")
    public Long classId;

    @ApiModelProperty("学籍状态")
    public String archivesStatus;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("就读方式")
    @ApiModelProperty("就读方式")
    private String stduyStatus;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学籍形式")
    @ApiModelProperty("学籍形式")
    private String rollModality;

    @ApiModelProperty("姓名")
    public String name;

    @ApiModelProperty("是否发放毕业证(0:未发放 1:已发放)")
    public Integer status;
}
