package com.xjrsoft.module.student.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;


/**
* @title: 学生消费数据分页查询入参
* @Author dzx
* @Date: 2024-08-26
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class StudentConsumeDatePageDto extends PageInput {
    /**
     * 消费类型
     */
    @ApiModelProperty("消费类型")
    private String consumeType;

    /**
     * 开始日期
     */
    @ApiModelProperty("开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime startDate;

    /**
     * 结束日期
     */
    @ApiModelProperty("结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime endDate;
    /**
     * 学生id
     */
    @ApiModelProperty("学生id")
    private Long userId;
}
