package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 奖学金申请
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/
@Data
@TableName("base_student_scholarship_applicant")
@ApiModel(value = "base_student_scholarship_applicant", description = "奖学金申请")
public class BaseStudentScholarshipApplicant implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 奖学金类别ID(base_student_scholarship_category)
    */
    @ApiModelProperty("奖学金类别ID(base_student_scholarship_category)")
    private Long baseStudentScholarshipCategoryId;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 学期名称
    */
    @ApiModelProperty("学期Id")
    private Long baseSemesterId;
    /**
    * 年级名称
    */
    @ApiModelProperty("年级名称")
    private String gradeName;
    /**
    * 班级名称
    */
    @ApiModelProperty("班级名称")
    private String className;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 学号
    */
    @ApiModelProperty("学号")
    private String studentId;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String genderName;
    /**
    * 招生类型名称
    */
    @ApiModelProperty("招生类型名称")
    private String enrollTypeCn;
    /**
    * 在读专业
    */
    @ApiModelProperty("在读专业")
    private String majorName;
    /**
    * 获奖日期
    */
    @ApiModelProperty("获奖日期")
    private Date awardDate;
    /**
    * 收款银行(xjr_dictionary_item[bank_type])
    */
    @ApiModelProperty("收款银行(xjr_dictionary_item[bank_type])")
    private String bankType;
    /**
    * 银行卡号
    */
    @ApiModelProperty("银行卡号")
    private String bankNo;
    /**
    * 文件ID(xjr_file)
    */
    @ApiModelProperty("文件ID(xjr_file)")
    private Long fileId;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;
    /**
    * 发放状态（1:已发放 0:未发放）
    */
    @ApiModelProperty("发放状态（1:已发放 0:未发放）")
    private Integer releaseStatus;

    @ApiModelProperty("银行账户名称")
    private String bankUserName;


    @ApiModelProperty("申请金额")
    private Double amount;

    @ApiModelProperty("奖学金等级 0=无等级")
    private Integer scholarshipLevel;

    @ApiModelProperty("评审状态")
    private Integer reviewStatus;
}