package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 招生计划维护
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
@TableName("enrollment_plan")
@ApiModel(value = "enrollment_plan", description = "招生计划维护")
public class EnrollmentPlan implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 计划名称
    */
    @ApiModelProperty("计划名称")
    private String name;
    /**
    * 招生类型(xjr_dictionary_detail[enroll_type])
    */
    @ApiModelProperty("招生类型(xjr_dictionary_detail[enroll_type])")
    private String enrollType;
    /**
    * 招生年级（base_grade）
    */
    @ApiModelProperty("招生年级（base_grade）")
    private Long gradeId;
    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private Date startDate;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private Date endDate;
    /**
    * 状态（0：未发布 1：已发布 2：过期）
    */
    @ApiModelProperty("状态（0：未发布 1：已发布 2：过期）")
    private Integer status;


}