package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 专业方向招生计划详情
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
@TableName("enrollment_plan_major_set")
@ApiModel(value = "enrollment_plan_major_set", description = "专业方向招生计划详情")
public class EnrollmentPlanMajorSet implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 招生计划维护id(enrollment_plan)
    */
    @ApiModelProperty("招生计划维护id(enrollment_plan)")
    private Long enrollmentPlanId;
    /**
    * 专业方向id(base_major_set)
    */
    @ApiModelProperty("专业方向id(base_major_set)")
    private Long baseMajorSetId;
    /**
    * 专业方向计划招生人数
    */
    @ApiModelProperty("专业方向计划招生人数")
    private Integer baseMajorSetEnrollmentNum;
    /**
    * 专业方向最大计划招生人数
    */
    @ApiModelProperty("专业方向最大计划招生人数")
    private Integer baseMajorSetEnrollmentNumMax;


}