package com.xjrsoft.module.student.entity;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * @title: 学生进校申请
 * @Author dzx
 * @Date: 2024年5月17日
 * @Version 1.0
 */
@Data
@TableName("student_admission_application")
@ApiModel(value = "学生进校申请", description = "学生进校申请")
public class StudentAdmissionApplication implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;
    /**
     * 修改人
     */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
     * 修改时间
     */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime modifyDate;
    /**
     * 删除标记
     */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
     * 有效标志
     */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
     * 学生用户id
     */
    @ApiModelProperty("学生用户id")
    private Long studentUserId;
    /**
     * 班级id
     */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
     * 进校时间
     */
    @ApiModelProperty("进校时间")
    private LocalDateTime startTime;
    /**
     * 出校时间
     */
    @ApiModelProperty("出校时间")
    private LocalDateTime endTime;
    /**
     * 班主任id
     */
    @ApiModelProperty("班主任id")
    private String teacherId;
    /**
     * 状态(0:未结束 1:结束)
     */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Integer status;


    @ApiModelProperty("海康接口返回内容")
    private String hikvisionResult;
}