package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.BaseStudentAssessmentInspectionMobilePageDto;
import com.xjrsoft.module.student.dto.BaseStudentAssessmentInspectionPageDto;
import com.xjrsoft.module.student.dto.QuantitativeAssessmentExcelDto;
import com.xjrsoft.module.student.dto.QuantitativeAssessmentSingleScoreDto;
import com.xjrsoft.module.student.entity.BaseStudentAssessmentInspection;
import com.xjrsoft.module.student.vo.BaseStudentAssessmentInspectionMobilePageVo;
import com.xjrsoft.module.student.vo.BaseStudentAssessmentInspectionMobileVo;
import com.xjrsoft.module.student.vo.BaseStudentAssessmentInspectionPageVo;
import com.xjrsoft.module.student.vo.BaseStudentAssessmentInspectionVo;
import com.xjrsoft.module.student.vo.QuantitativeAssessmentSingleScoreVo;
import com.xjrsoft.module.student.vo.QuantitativeAssessmentSubTableExcelVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 学生班级巡查考核
* @Author dzx
* @Date: 2023-11-16
* @Version 1.0
*/
@Mapper
public interface BaseStudentAssessmentInspectionMapper extends MPJBaseMapper<BaseStudentAssessmentInspection> {
    /**
     * 分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<BaseStudentAssessmentInspectionPageVo> getPage(Page<BaseStudentAssessmentInspectionPageDto> page,BaseStudentAssessmentInspectionPageDto dto);

    /**
     * 数据详情
     * @return
     */
    BaseStudentAssessmentInspectionVo getInfo(Long id);

    /**
     * app分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<BaseStudentAssessmentInspectionMobilePageVo> getMobilePage(Page<BaseStudentAssessmentInspectionMobilePageDto> page, BaseStudentAssessmentInspectionMobilePageDto dto);

    /**
     * app数据详情
     * @return
     */
    BaseStudentAssessmentInspectionMobileVo getMobileInfo(Long id);

    List<QuantitativeAssessmentSubTableExcelVo> getQuantitativeAssessmentSubTableExcelVoList(@Param("dto") QuantitativeAssessmentExcelDto dto);

    //个人行为
    List<QuantitativeAssessmentSingleScoreVo> getAssessmentInspectionByClassIdList(@Param("dto") QuantitativeAssessmentSingleScoreDto dto);

    List<QuantitativeAssessmentSingleScoreVo> getParamilitaryList(@Param("dto") QuantitativeAssessmentSingleScoreDto dto);

}
