package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.BaseStudentPunishmentInfoMobilePageDto;
import com.xjrsoft.module.student.dto.BaseStudentPunishmentInfoPageDto;
import com.xjrsoft.module.student.entity.BaseStudentPunishmentInfo;
import com.xjrsoft.module.student.vo.BaseStudentPunishmentInfoDetailVo;
import com.xjrsoft.module.student.vo.BaseStudentPunishmentInfoMobileDetailVo;
import com.xjrsoft.module.student.vo.BaseStudentPunishmentInfoMobilePageVo;
import com.xjrsoft.module.student.vo.BaseStudentPunishmentInfoPageVo;
import org.apache.ibatis.annotations.Mapper;

/**
* @title: 学生处分信息管理
* @Author dzx
* @Date: 2023-11-15
* @Version 1.0
*/
@Mapper
public interface BaseStudentPunishmentInfoMapper extends MPJBaseMapper<BaseStudentPunishmentInfo> {
    /**
     * 分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<BaseStudentPunishmentInfoPageVo> getPage(IPage<BaseStudentPunishmentInfoPageDto> page, BaseStudentPunishmentInfoPageDto dto);
    /**
     * app分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<BaseStudentPunishmentInfoMobilePageVo> getMobilePage(Page<BaseStudentPunishmentInfoMobilePageDto> page, BaseStudentPunishmentInfoMobilePageDto dto);

    /**
     * 数据详情
     * @return
     */
    BaseStudentPunishmentInfoDetailVo getInfo(Long id);
    /**
     * app数据详情
     */
    BaseStudentPunishmentInfoMobileDetailVo getMobileInfo(Long id);
}
