package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
* @title: 新生维护信息分页列表出参
* @Author dzx
* @Date: 2024-06-27
* @Version 1.0
*/
@Data
public class BaseNewStudentExportVo {

    @ExcelProperty("班级名称")
    private String className;

    @ExcelProperty("班主任")
    private String teacherName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生姓名")
    private String name;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("毕业学校")
    @ApiModelProperty("毕业学校")
    private String graduateSchool;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("性别")
    private String genderCn;
    /**
    * 身份证号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("身份证号")
    private String credentialNumber;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("手机号")
    private String mobile;

    @ExcelProperty("家长联系电话")
    private String familyMobile;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生来源")
    private String sourceCn;

    @ExcelProperty("就读方式")
    private String stduyStatusCn;

    @ExcelProperty("报到状态")
    private String reportStatus;

    @ExcelProperty("到校时间")
    private String reportTime;

}
