package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
* @title: 新生维护信息分页列表出参
* @Author dzx
* @Date: 2024-06-27
* @Version 1.0
*/
@Data
public class BaseNewStudentPageVo {

    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("")
    @ApiModelProperty("")
    private String id;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("")
    @ApiModelProperty("")
    private Date createDate;
    /**
    * 毕业学校
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("毕业学校")
    @ApiModelProperty("毕业学校")
    private String graduateSchool;
    /**
    * 学生姓名
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生姓名")
    @ApiModelProperty("学生姓名")
    private String name;
    /**
    * 性别
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("性别")
    @ApiModelProperty("性别")
    private String gender;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("性别")
    @ApiModelProperty("性别中文")
    private String genderCn;
    /**
    * 身份证号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("身份证号")
    @ApiModelProperty("身份证号")
    private String credentialNumber;
    /**
    * 身高
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("身高")
    @ApiModelProperty("身高")
    private BigDecimal height;
    /**
    * 体重
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("体重")
    @ApiModelProperty("体重")
    private BigDecimal weight;
    /**
    * 成绩
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("成绩")
    @ApiModelProperty("成绩")
    private BigDecimal score;
    /**
    * 毕业班级
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("毕业班级")
    @ApiModelProperty("毕业班级")
    private String graduateClass;
    /**
    * 学生来源
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生来源")
    @ApiModelProperty("学生来源")
    private String source;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生来源中文")
    @ApiModelProperty("学生来源中文")
    private String sourceCn;

    /**
    * 住宿类型
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("住宿类型")
    @ApiModelProperty("住宿类型")
    private String stduyStatus;

    @ApiModelProperty("住宿类型中文")
    private String stduyStatusCn;
    /**
    * 手机号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("手机号")
    @ApiModelProperty("手机号")
    private String mobile;
    /**
    * 第一志愿
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("第一志愿")
    @ApiModelProperty("第一志愿")
    private String firstAmbition;
    /**
    * 第二志愿
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("第二志愿")
    @ApiModelProperty("第二志愿")
    private String secondAmbition;
    /**
    * 班级状态（0：未分配， 1：已分配）
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级状态（0：未分配， 1：已分配）")
    @ApiModelProperty("班级状态（0：未分配， 1：已分配）")
    private Integer status;

    @ApiModelProperty("是否可调配（0：否，1：是）")
    private Integer isAdjust;

    @ExcelProperty("家庭电话")
    @ApiModelProperty("家庭电话")
    private String familyMobile;

    @ExcelProperty("家庭地址")
    @ApiModelProperty("家庭地址")
    private String familyAddress;

    @ExcelProperty("班级名称")
    @ApiModelProperty("班级名称")
    private String className;


    @ExcelProperty("班主任")
    @ApiModelProperty("班主任")
    private String teacherName;

    @ApiModelProperty("学生userId")
    private Long userId;

    @ApiModelProperty("报到时间")
    private LocalDateTime reportTime;

    @ApiModelProperty("是否已报到（1:是 0:否）")
    private Integer isReport;
}
