package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 学生班级巡查考核分页列表出参
* @Author dzx
* @Date: 2023-11-16
* @Version 1.0
*/
@Data
public class BaseStudentAssessmentInspectionPageVo {
    @ApiModelProperty("主键编号")
    private String id;

    @ApiModelProperty("学期(base_semester)")
    private String semesterName;

    @ApiModelProperty("年级(base_grade)")
    private String gradeName;

    @ApiModelProperty("考核班级")
    private String assessmentClassNames;

    @ApiModelProperty("考核时间")
    private Date assessmentDate;

    @ApiModelProperty("分数")
    private Double score;

    @ApiModelProperty("分数类型(xjr_dictionary_item[score_type])")
    private String scoreType;

    @ApiModelProperty("分数类型名称")
    private String scoreTypeCn;

    @ApiModelProperty("考核用户(xjr_user)")
    private String assessmentUserName;

    @ApiModelProperty("原因")
    private String reason;

    @ApiModelProperty("考核项目")
    private String assessmentProjectName;

    @ApiModelProperty("考核类别")
    private String assessmentCategoryName;

    @ApiModelProperty("影响班级考核的学生人数")
    private Integer studentCount;
}
