package com.xjrsoft.module.student.vo;

import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @title: 学生操行分记录管理表单出参
* @Author dzx
* @Date: 2023-11-17
* @Version 1.0
*/
@Data
public class BaseStudentBehaviorManageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 考核时间
    */
    @ApiModelProperty("考核时间")
    private Date assessmentDate;
    /**
    * 总分
    */
    @ApiModelProperty("总分")
    private Double totalScore;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Double score;
    /**
    * 分数次数
    */
    @ApiModelProperty("分数次数")
    private Double scoreNumber;
    /**
    * 是否影响(1:是 0:否)
    */
    @ApiModelProperty("是否影响(1:是 0:否)")
    private Integer isAffect;
    /**
    * 考核地点
    */
    @ApiModelProperty("考核地点")
    private String assessmentAddress;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 文件ID(xjr_file)
    */
    @ApiModelProperty("文件ID(xjr_file)")
    private Long fileId;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

    /**
    * baseStudentBehaviorStudentRelation
    */
    @ApiModelProperty("baseStudentBehaviorStudentRelation子表")
    private List<BaseStudentBehaviorStudentRelationVo> baseStudentBehaviorStudentRelationList;
    /**
    * baseStudentBehaviorClassRelation
    */
    @ApiModelProperty("baseStudentBehaviorClassRelation子表")
    private List<BaseStudentBehaviorClassRelationVo> baseStudentBehaviorClassRelationList;

    /**
     * 分数类型
     */
    @ApiModelProperty("分数类型")
    private String scoreType;
    /**
     * 附件列表
     */
    @ApiModelProperty("附件列表")
    private List<File> fileInfos;
}
