package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 奖学金类别分页列表出参
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/
@Data
public class BaseStudentScholarshipCategoryStatisticPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 名称
    */
    @ApiModelProperty("奖助学金名称")
    private String name;
    /**
    * 奖学金来源(xjr_dictionary_item[scholarship_source])
    */
    @ApiModelProperty("奖助学金类型")
    private String categoryCn;
    /**
     * 奖学金来源-中文
     */
    @ApiModelProperty("奖学金总金额")
    private Double totalAmount;
    /**
    * 总金额
    */
    @ApiModelProperty("上报金额")
    private Double applicantAmonut;
    /**
    * 奖学金等级 0=无等级
    */
    @ApiModelProperty("发放金额")
    private Double releaseAmount;


    @ApiModelProperty("申请人数")
    private Integer applicantCount;

    @ApiModelProperty("等级")
    private Integer scholarshipLevel;

    @ApiModelProperty("学期")
    private String semesterName;

    @ApiModelProperty("学期id")
    private Long semesterId;

}
