package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学生班级巡查考核分页列表出参
* @Author dzx
* @Date: 2023-11-16
* @Version 1.0
*/
@Data
public class CalssQuantitativeAssessmentPageVo {
    @ApiModelProperty("班主任主键编号")
    @ExcelIgnore
    private String headTeacherId;

    @ApiModelProperty("班主任工号")
    @ExcelProperty(value = "班主任工号")
    @ColumnWidth(10)
    private String oa;

    @ApiModelProperty("班主任姓名")
    @ExcelProperty(value = "班主任姓名")
    @ColumnWidth(10)
    private String headTeacherName;

    @ApiModelProperty("班级主键编号")
    @ExcelIgnore
    private String classId;

    @ApiModelProperty("班级名称")
    @ExcelProperty(value = "班级名称")
    @ColumnWidth(10)
    private String className;

    @ApiModelProperty("班级人数")
    @ExcelProperty(value = "班级人数")
    @ColumnWidth(10)
    private Integer studentNum;

    @ApiModelProperty("班级状态(1: 在读 2: 毕业)")
    @ExcelIgnore
    private Integer classStatus;

    @ApiModelProperty("班级状态")
    @ExcelProperty(value = "班级状态")
    @ColumnWidth(10)
    private String classStatusCn;

    @ApiModelProperty("学生个人行为扣分")
    @ExcelProperty(value = "学生个人行为扣分")
    @ColumnWidth(10)
    private Double stuPersonalBehaviorSubScore;

    @ApiModelProperty("学生个人行为得分")
    @ExcelProperty(value = "学生个人行为得分")
    @ColumnWidth(10)
    private Double stuPersonalBehaviorScore;

    @ApiModelProperty("常规管理扣分")
    @ExcelProperty(value = "常规管理扣分")
    @ColumnWidth(10)
    private Double classConventionalManageSubScore;

    @ApiModelProperty("常规管理得分")
    @ExcelProperty(value = "常规管理得分")
    @ColumnWidth(10)
    private Double classConventionalManageScore;

    @ApiModelProperty("获奖及荣誉表彰汇总")
    @ExcelProperty(value = "获奖及荣誉表彰汇总")
    @ColumnWidth(10)
    private Double honorSumScore;

    @ApiModelProperty("获奖及荣誉表彰得分")
    @ExcelProperty(value = "获奖及荣誉表彰得分")
    @ColumnWidth(10)
    private Double honorScore;

    @ApiModelProperty("准军事化管理效果综合指数")
    @ExcelProperty(value = "准军事化管理效果综合指数")
    @ColumnWidth(10)
    private Double militaryManageComprehensiveIndex;

    @ApiModelProperty("准军事化管理效果得分")
    @ExcelProperty(value = "准军事化管理效果得分")
    @ColumnWidth(10)
    private Double militaryManageScore;

    @ApiModelProperty("任课教师考核综合指数")
    @ExcelProperty(value = "任课教师考核综合指数")
    @ColumnWidth(10)
    private Double teacherAssessComprehensiveIndex;

    @ApiModelProperty("任课教师考核得分")
    @ExcelProperty(value = "任课教师考核得分")
    @ColumnWidth(10)
    private Double teacherAssessScore;

    @ApiModelProperty("考核总得分")
    @ExcelProperty(value = "考核总得分")
    @ColumnWidth(10)
    private Double assessSumScore;

    @ApiModelProperty("考核金额")
    @ExcelProperty(value = "考核金额")
    @ColumnWidth(10)
    private Double assessMoney;
}
