package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 班级荣誉分页列表出参
* @Author szs
* @Date: 2023-12-06
* @Version 1.0
*/
@Data
public class ClassHonorsPageVo {

    /**
     * 主键编号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
     * 序号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
     * 荣誉级别中文(xjr_dictionary_item[honors_level])
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("荣誉级别中文(xjr_dictionary_item[honors_level])")
    @ApiModelProperty("荣誉级别中文(xjr_dictionary_item[honors_level])")
    private String honorsLevelCN;
    /**
     * 荣誉等级中文(xjr_dictionary_item[honors_grade])
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("荣誉等级中文(xjr_dictionary_item[honors_grade])")
    @ApiModelProperty("荣誉等级中文(xjr_dictionary_item[honors_grade])")
    private String honorsGradeCN;
    /**
     * 荣誉名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("荣誉名称")
    @ApiModelProperty("荣誉名称")
    private String name;
    /**
     * 获奖日期
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("获奖日期")
    @ApiModelProperty("获奖日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date awardDate;
}
