package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
* @title: 招生计划维护分页列表出参
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
public class EnrollmentPlanPageVo {


    /**
     * 主键编号
     */
    @ApiModelProperty("主键编号")
    private String id;
    /**
     * 序号
     */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
     * 计划名称
     */
    @ApiModelProperty("计划名称")
    private String name;
    /**
     * 招生类型(xjr_dictionary_detail[enroll_type])
     */
    @ApiModelProperty("招生类型(xjr_dictionary_detail[enroll_type])")
    private String enrollType;
    /**
     * 招生类型(xjr_dictionary_detail[enroll_type])
     */
    @ApiModelProperty("招生类型(xjr_dictionary_detail[enroll_type])")
    private String enrollTypeCn;
    /**
     * 招生年级（base_grade）
     */
    @ApiModelProperty("招生年级（base_grade）")
    private Long gradeId;
    /**
     * 招生年级（base_grade）
     */
    @ApiModelProperty("招生年级（base_grade）")
    private String gradeIdCn;
    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private LocalDate startDate;
    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private LocalDate endDate;
    /**
     * 状态（0：未发布 1：已发布 2：过期）
     */
    @ApiModelProperty("状态（0：未发布 1：已发布 2：过期）")
    private Integer status;

    /**
     * 总的招生专业方向个数
     */
    @ApiModelProperty("总的招生专业方向个数")
    private Integer baseMajorSetSum;
    /**
     * 总计划招生人数
     */
    @ApiModelProperty("总计划招生人数")
    private Integer enrollmentStuNum;
}
