package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 升学管理表单出参
* @Author szs
* @Date: 2023-12-01
* @Version 1.0
*/
@Data
public class SchoolRollFurtherEducationVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 原因
    */
    @ApiModelProperty("原因")
    private String reason;
    /**
    * 异动前所属机构(xjr_department)
    */
    @ApiModelProperty("异动前所属机构(xjr_department)")
    private Long beforeDepartmentId;
    /**
    * 异动前入学年级(base_grade)
    */
    @ApiModelProperty("异动前入学年级(base_grade)")
    private Long beforeGradeId;
    /**
    * 异动前班级(base_class)
    */
    @ApiModelProperty("异动前班级(base_class)")
    private Long beforeClassId;
    /**
    * 异动前专业方向(base_major_set)
    */
    @ApiModelProperty("异动前专业方向(base_major_set)")
    private Long beforeMajorSetId;
    /**
    * 异动后所属机构(xjr_department)
    */
    @ApiModelProperty("异动后所属机构(xjr_department)")
    private Long backDepartmentId;
    /**
    * 异动后入学年级(base_grade)
    */
    @ApiModelProperty("异动后入学年级(base_grade)")
    private Long backGradeId;
    /**
    * 异动后班级(base_class)
    */
    @ApiModelProperty("异动后班级(base_class)")
    private Long backClassId;
    /**
    * 异动后专业方向(base_major_set)
    */
    @ApiModelProperty("异动后专业方向(base_major_set)")
    private Long backMajorSetId;
    /**
    * 学生编号(学生user_id)
    */
    @ApiModelProperty("学生编号(学生user_id)")
    private Long studentId;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

    /**
     * 学生编号对应的姓名(学生user_id)
     */
    @ApiModelProperty("学生编号姓名(学生user_id)")
    private String studentIdCN;
    /**
     * 学生证件号码
     */
    @ApiModelProperty("证件号码")
    private String credentialNumber;
    /**
     * 异动前专业方向中文(base_major_set)
     */
    @ApiModelProperty("异动前专业方向中文(base_major_set)")
    private String beforeMajorSetIdCN;
    /**
     * 异动前班级中文(base_class)
     */
    @ApiModelProperty("异动前班级中文(base_class)")
    private String beforeClassIdCN;
    /**
     * 异动后班级中文(base_class)
     */
    @ApiModelProperty("异动后班级中文(base_class)")
    private String backClassIdCN;
    /**
     * 异动后专业方向中文(base_major_set)
     */
    @ApiModelProperty("异动后专业方向中文(base_major_set)")
    private String backMajorSetIdCN;
    /**
     * 申请人（操作人）姓名
     */
    @ApiModelProperty("申请人姓名")
    private String applicantUserIdCN;
}
