package com.xjrsoft.module.student.vo;

import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @title: 学生荣誉表单出参
* @Author dzx
* @Date: 2023-12-05
* @Version 1.0
*/
@Data
public class StudentHonorsVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人姓名")
    private String applicantUserName;

    @ApiModelProperty("申请人Id")
    private Long applicantUserId;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学生姓名")
    private String studentName;
    /**
    * 班级id
    */
    @ApiModelProperty("年级")
    private String gradeName;

    @ApiModelProperty("年级id")
    private Long gradeId;
    /**
    * 学生用户编号
    */
    @ApiModelProperty("班级")
    private String className;

    @ApiModelProperty("班级Id")
    private Long classId;

    @ApiModelProperty("学期Id")
    private Long baseSemesterId;

    @ApiModelProperty("学生userId")
    private Long studentUserId;
    /**
    * 学号
    */
    @ApiModelProperty("学号")
    private String studentId;
    /**
    * 所学专业
    */
    @ApiModelProperty("所学专业")
    private String majorSetName;

    @ApiModelProperty("所学专业Id")
    private Long majorSetId;
    /**
    * 荣誉级别(xjr_dictionary_item[honors_level])
    */
    @ApiModelProperty("荣誉级别(xjr_dictionary_item[honors_level])")
    private String honorsLevel;

    @ApiModelProperty("荣誉级别-中文")
    private String honorsLevelCn;
    /**
    * 荣誉等级(xjr_dictionary_item[honors_grade])
    */
    @ApiModelProperty("荣誉等级(xjr_dictionary_item[honors_grade])")
    private String honorsGrade;

    @ApiModelProperty("荣誉等级-中文")
    private String honorsGradeCn;
    /**
    * 荣誉类型(xjr_dictionary_item[honors_type])
    */
    @ApiModelProperty("荣誉类型(xjr_dictionary_item[honors_type])")
    private String honorsType;

    @ApiModelProperty("荣誉类型-中文")
    private String honorsTypeCn;
    /**
    * 荣誉名称
    */
    @ApiModelProperty("荣誉名称")
    private String name;
    /**
    * 获奖日期
    */
    @ApiModelProperty("获奖日期")
    private Date awardDate;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;

    @ApiModelProperty("附件列表")
    private List<File> fileInfos;

}
