package com.xjrsoft.module.student.vo;

import com.xjrsoft.module.databoard.vo.ItemCountVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
* @title: 学生报到记录表表单出参
* @Author dzx
* @Date: 2024-08-28
* @Version 1.0
*/
@Data
public class StudentReportRecordStatisticsVo {


    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("班主任")
    private String teacherName;

    @ApiModelProperty("报到率")
    private Double reportRate;

    @ApiModelProperty("总人数")
    private Long allCount;

    @ApiModelProperty("男生人数")
    private Long maleCount;

    @ApiModelProperty("女生人数")
    private Long femaleCount;

    @ApiModelProperty("已到人数")
    private Long arrivedCount;

    @ApiModelProperty("未到人数")
    private Long notArrivedCount;


    @ApiModelProperty("已到男生人数")
    private Long arrivedMaleCount;


    @ApiModelProperty("已到女生人数")
    private Long arrivedFemaleCount;

    @ApiModelProperty("")
    private List<ItemCountVo> graduatedUniversityList;

    @ApiModelProperty("住校男学生总人数")
    private Long stayMaleCount;

    @ApiModelProperty("住校女学生总人数")
    private Long stayFemaleCount;

    @ApiModelProperty("走读男学生总人数")
    private Long notStayMaleCount;

    @ApiModelProperty("走读女学生总人数")
    private Long notStayFemaleCount;

    @ApiModelProperty("班级报到情况")
    private List<ItemCountVo> classList;

    @ApiModelProperty("班级类型报到情况")
    private List<ItemCountVo> classTypeList;

    @ApiModelProperty("专业报到情况")
    private List<ItemCountVo> majorList;

}
