package com.xjrsoft.module.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: oauth用户列表
* @Author fanxp
* @Date: 2023-11-08
* @Version 1.0
*/
@Data
@TableName("oauth_client_details")
@ApiModel(value = "oauth用户列表对象", description = "oauth用户列表")
public class OauthClientDetails implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 应用标识
    */
    @ApiModelProperty("应用标识")
    private String clientId;
    /**
    * 应用名称
    */
    @ApiModelProperty("应用名称")
    private String clientName;
    /**
    * 应用密钥
    */
    @ApiModelProperty("应用密钥")
    private String clientSecret;
    /**
    * 应用允许授权的所有URL, 多个用逗号隔开
    */
    @ApiModelProperty("应用允许授权的所有URL, 多个用逗号隔开")
    private String allowUrl;
    /**
    * 应用签约的所有权限, 多个用逗号隔开
    */
    @ApiModelProperty("应用签约的所有权限, 多个用逗号隔开")
    private String scope;
    /**
    * 令牌时效(s)
    */
    @ApiModelProperty("令牌时效(s)")
    private Long accessTokenTimeout;
    /**
    * 刷新时效(s)
    */
    @ApiModelProperty("刷新时效(s)")
    private Long refreshTokenValiditySeconds;
    /**
    * 授权模式
    */
    @ApiModelProperty("授权模式")
    private String authorizedGrantTypes;
    /**
    * 状态 1=启用 2=禁用
    */
    @ApiModelProperty("状态 1=启用 2=禁用")
    private Integer status;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;


}