package com.xjrsoft.module.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
* @title: 功能分类设置
* @Author dzx
* @Date: 2024-08-09
* @Version 1.0
*/
@Data
@TableName("xjr_menu_group_set")
@ApiModel(value = "xjr_menu_group_set", description = "功能分类设置")
public class XjrMenuGroupSet implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 功能分类名称
    */
    @ApiModelProperty("功能分类名称")
    private String name;
    /**
    * 分组代码(xjr_dictionary_item[xjr_menu_group])
    */
    @ApiModelProperty("分组代码(xjr_dictionary_item[xjr_menu_group])")
    private String code;
    /**
    * 使用范围(1:全部学生 2:白名单学生)
    */
    @ApiModelProperty("使用范围(1:全部学生 2:白名单学生)")
    private Integer useRange;

    /**
    * xjrMenuGroup
    */
    @ApiModelProperty("xjrMenuGroup子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "xjrMenuGroupSetId")
    private List<XjrMenuGroup> xjrMenuGroupList;

}