package com.xjrsoft.module.system.vo;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.xjrsoft.common.model.tree.ITreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@JsonAutoDetect(getterVisibility = JsonAutoDetect.Visibility.ANY)
public class MenuFormListVo implements ITreeNode<MenuFormListVo, Long>,Serializable {

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("菜单主键")
    private Long menuId;

    @ApiModelProperty("父级字段")
    private Long parentId;

    @ApiModelProperty("编码")
    private String code;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("排序码")
    private Integer sortCode;

    @ApiModelProperty("是否必填，0-非必填，1-必填")
    private Integer isRequired;

    @ApiModelProperty("标题")
    private String title;

    private List<MenuFormListVo> children;

    public String getTitle() {
        return name;
    }

}
