package com.xjrsoft.module.textbook.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 教材入库
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
@TableName("textbook_warehouse_record")
@ApiModel(value = "textbook_warehouse_record", description = "教材入库")
public class TextbookWarehouseRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 教材管理编号
    */
    @ApiModelProperty("教材管理编号")
    private Long textbookId;
    /**
     * 数据编号（根据入库方式，编号来自不同数据表）
     */
    @ApiModelProperty("数据编号（根据入库方式，编号来自不同数据表）")
    private Long dataId;
    /**
     * 数据项项编号（根据入库方式，编号来自不同数据表）
     */
    @ApiModelProperty("数据项项编号（根据入库方式，编号来自不同数据表）")
    private Long dataItemId;
    /**
    * 入库数量
    */
    @ApiModelProperty("入库数量")
    private Integer warehouseNumber;
    /**
    * 来源
    */
    @ApiModelProperty("来源")
    private String source;
    /**
    * 定价(元)
    */
    @ApiModelProperty("定价(元)")
    private BigDecimal price;
    /**
    * 折扣
    */
    @ApiModelProperty("折扣")
    private Double discount;
    /**
    * 小计（元）
    */
    @ApiModelProperty("小计（元）")
    private BigDecimal subtotal;
    /**
    * 总价（元）
    */
    @ApiModelProperty("总价（元）")
    private BigDecimal totalPrice;
    /**
     * 入库方式
     */
    @ApiModelProperty("入库方式")
    private String warehouseMode;
    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;


}