package com.xjrsoft.module.textbook.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 作业本征订项
* @Author szs
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
@TableName("wf_exercise_book_item")
@ApiModel(value = "wf_exercise_book_item", description = "作业本征订项")
public class WfExerciseBookItem implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 作业本征订编号
    */
    @ApiModelProperty("作业本征订编号")
    private Long wfExerciseBookId;
    /**
    * 作业本征订类型(xjr_dictionary_item[exercise_book_type])
    */
    @ApiModelProperty("作业本征订类型(xjr_dictionary_item[exercise_book_type])")
    private String subscriptionType;
    /**
    * 规格型号
    */
    @ApiModelProperty("规格型号")
    private String specificationsModels;
    /**
    * 估价(元)
    */
    @ApiModelProperty("估价(元)")
    private BigDecimal appraisalPrice;
    /**
    * 征订数量
    */
    @ApiModelProperty("征订数量")
    private Integer subscriptionNumber;


}