package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 教材管理表单出参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class TextbookConsumptionPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
     * 教材编号
     */
    @ApiModelProperty("教材编号")
    private String textbookId;
    /**
     * 课程编号(base_course_subject)
     */
    @ApiModelProperty("课程编号(base_course_subject)")
    private Long courseSubjectId;
    /**
     * 课程编号(base_course_subject)
     */
    @ApiModelProperty("课程编号(base_course_subject)")
    private String courseSubjectIdCn;
    /**
    * 书名
    */
    @ApiModelProperty("书名")
    private String bookName;
    /**
    * 出版社
    */
    @ApiModelProperty("出版社")
    private String publishingHouse;
    /**
    * 教材类型(xjr_dictionary_item[textbook_type])
    */
    @ApiModelProperty("教材类型(xjr_dictionary_item[textbook_type])")
    private String textbookType;
    /**
     * 教材类型(xjr_dictionary_item[textbook_type])
     */
    @ApiModelProperty("教材类型(xjr_dictionary_item[textbook_type])")
    private String textbookTypeCn;
    /**
     * 定价(元)
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("定价(元)")
    @ApiModelProperty("定价(元)")
    private BigDecimal price;
}
