package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 教材征订记录到处出参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class TextbookSubscriptionExportQueryVo {
    /**
     * 课程
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("对应课程")
    @ApiModelProperty("对应课程")
    private String courseName;
    /**
     * 书名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("教材书名")
    @ApiModelProperty("书名")
    private String bookName;
    /**
    * 国际标准刊号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("书号（ISSN）")
    @ApiModelProperty("国际标准刊号")
    private String issn;
    /**
     * 主编
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("作者（主编）")
    @ApiModelProperty("主编")
    private String editorInChief;
    /**
    * 出版社
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出版社")
    @ApiModelProperty("出版社")
    private String publishingHouse;
    /**
     * 教材类型(xjr_dictionary_item[textbook_type])
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("教材类型")
    @ApiModelProperty("教材类型(xjr_dictionary_item[textbook_type])")
    private String textbookTypeCn;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生用书征订数量")
    @ApiModelProperty("学生用书征订数量")
    private Integer studentSubscriptionNumber;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("教师教材用书征订数量")
    @ApiModelProperty("教师教材用书征订数量")
    private Integer teacherSubscriptionNumber;
    /**
     * 估价(元)
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("估价(元)")
    @ApiModelProperty("估价(元)")
    private BigDecimal appraisalPrice;
    /**
     * 是否为规划教材
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("是否为规划教材")
    @ApiModelProperty("是否为规划教材")
    private String isTextbookPlanCn;

    /**
     * 使用年级
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用年级")
    @ApiModelProperty("使用年级")
    private String useGrade;
    /**
     * 使用班级id
     */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("使用班级id")
    @ExcelProperty("使用班级id")
    @ExcelIgnore()
    private String classIds;
    /**
     * 使用班级
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用班级")
    @ApiModelProperty("使用班级")
    private String useClass;



    @ContentStyle(dataFormat = 49)
    @ExcelProperty("教师教参用书征订数量")
    @ApiModelProperty("教师教参用书征订数量")
    private Integer teacherReferenceNumber;
    /**
     * 学科组名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学科组名称")
    @ApiModelProperty("学科组名称")
    private String groupName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有无配套教学资源")
    @ApiModelProperty("有无配套教学资源")
    private String isSupportResourcesCn;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("备注")
    @ApiModelProperty("备注")
    private String remark;
}
