package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 教材申领分页列表出参
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class WfTextbookClaimPageVo {

    /**
     * 主键编号
     */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
     * 申请人
     */
    @ApiModelProperty("申请人")
    private String applicantUserIdCN;
    /**
    * 班级编号
    */
    @ApiModelProperty("班级编号")
    private Long classId;
    /**
     * 班级编号
     */
    @ApiModelProperty("班级编号")
    private String classIdCN;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
     * 学期ID(base_semester)
     */
    @ApiModelProperty("学期ID(base_semester)")
    private String baseSemesterIdCN;
    /**
    * 学生编号
    */
    @ApiModelProperty("学生编号")
    private Long studentUserId;
    /**
     * 学生编号
     */
    @ApiModelProperty("学生编号")
    private String studentUserIdCN;
    /**
    * 领取地点
    */
    @ApiModelProperty("领取地点")
    private String claimAddress;
    /**
    * 申领类型(xjr_dictionary_item[claim_type])
    */
    @ApiModelProperty("申领类型(xjr_dictionary_item[claim_type])")
    private String claimType;
    /**
     * 申领类型(xjr_dictionary_item[claim_type])
     */
    @ApiModelProperty("申领类型(xjr_dictionary_item[claim_type])")
    private String claimTypeCN;
    /**
    * 代领取人
    */
    @ApiModelProperty("代领取人")
    private String receiveUserId;
    /**
     * 代领取人
     */
    @ApiModelProperty("代领取人")
    private String receiveUserIdCN;
    /**
    * 领取用户编号（申请人帮领取人申请去领取）
    */
    @ApiModelProperty("领取用户编号（申请人帮领取人申请去领取）")
    private Long claimUserId;
    /**
     * 领取用户编号（申请人帮领取人申请去领取）
     */
    @ApiModelProperty("领取用户编号（申请人帮领取人申请去领取）")
    private String claimUserIdCN;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;
    /**
     * wfTextbookClaimItem
     */
    @ApiModelProperty("wfTextbookClaimItem子表")
    private List<WfTextbookClaimItemVo> wfTextbookClaimItemList;
}
