package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 教材教辅征订项表单出参
* @Author szs
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
public class WfTextbookSubscriptionItemVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 教材教辅征订编号
    */
    @ApiModelProperty("教材教辅征订编号")
    private Long wfTextbookSubscriptionId;
    /**
    * 征订类型(xjr_dictionary_item[subscription_type])
    */
    @ApiModelProperty("征订类型(xjr_dictionary_item[subscription_type])")
    private String subscriptionType;
    /**
    * 国际标准刊号
    */
    @ApiModelProperty("国际标准刊号")
    private String issn;
    /**
    * 国际标准书号
    */
    @ApiModelProperty("国际标准书号")
    private String isbn;
    /**
    * 书名
    */
    @ApiModelProperty("书名")
    private String bookName;
    /**
     * 教材类型(xjr_dictionary_item[textbook_type])
     */
    @ApiModelProperty("教材类型(xjr_dictionary_item[textbook_type])")
    private String textbookType;
    /**
     * 教材类型(xjr_dictionary_item[textbook_type])
     */
    @ApiModelProperty("教材类型(xjr_dictionary_item[textbook_type])")
    private String textbookTypeCn;
    /**
    * 出版社
    */
    @ApiModelProperty("出版社")
    private String publishingHouse;
    /**
    * 主编
    */
    @ApiModelProperty("主编")
    private String editorInChief;
    /**
    * 估价(元)
    */
    @ApiModelProperty("估价(元)")
    private BigDecimal appraisalPrice;
    /**
    * 是否为规划教材(xjr_dictionary_item[judgment_method_1])
    */
    @ApiModelProperty("是否为规划教材(xjr_dictionary_item[judgment_method_1])")
    private String isTextbookPlan;
    /**
    * 课程编号(base_course_subject)
    */
    @ApiModelProperty("课程编号(base_course_subject)")
    private Long courseSubjectId;
    /**
     * 课程编号(base_course_subject)
     */
    @ApiModelProperty("课程编号(base_course_subject)")
    private String courseSubjectIdCn;
    /**
    * 班级编号(多个)
    */
    @ApiModelProperty("班级编号(多个)")
    private String classIds;
    /**
     * 班级编号(多个)
     */
    @ApiModelProperty("班级编号(多个)")
    private String classIdsCn;
    /**
     * 班级编号(多个)
     */
    @ApiModelProperty("班级编号(多个)")
    private Integer classNum;
    /**
    * 学生用书征订数量
    */
    @ApiModelProperty("学生用书征订数量")
    private Integer studentSubscriptionNumber;
    /**
    * 教师教材征订数量
    */
    @ApiModelProperty("教师教材征订数量")
    private Integer teacherSubscriptionNumber;
    /**
    * 教师教参用书征订数量
    */
    @ApiModelProperty("总征订数量")
    private Integer sumNumber;
    /**
    * 是否有配套教学资源(xjr_dictionary_item[judgment_method_1])
    */
    @ApiModelProperty("是否有配套教学资源(xjr_dictionary_item[judgment_method_1])")
    private String isSupportResources;
    /**
    * 版本
    */
    @ApiModelProperty("版本")
    private String version;
    /**
     * 教材编号
     */
    @ApiModelProperty("教材编号")
    private Long textbookId;
    /**
     * 已入库数量
     */
    @ApiModelProperty("已入库数量")
    private Integer inStockroomNum;
    /**
     * 变更类型（0：未变更，1：变更征订数量，2：变更课程）
     */
    @ApiModelProperty("变更类型（0：未变更，1：变更征订数量，2：变更课程）")
    private Integer alterationType;

}
