package com.xjrsoft.module.workflow.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 工作流 流程 与 表单关联表
 * </p>
 *
 * @author tzx
 * @since 2023-03-27
 */
@TableName("xjr_workflow_form_relation")
@ApiModel(value = "WorkflowFormRelation对象", description = "工作流 流程 与 表单关联表")
@Data
public class WorkflowFormRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("流程id")
    private String processId;


//    @ApiModelProperty("流程id")
//    private String taskId;

    @ApiModelProperty("表单id（formTemplateId）")
    private Long formId;

    @ApiModelProperty("表单配置key formKey 属性  用于区分同一template  多个表单数据")
    private String formKey;

    @ApiModelProperty("表单数据id")
    private String formKeyValue;

    /**
     * 当前状态
     * STATE_ACTIVE-正在运行的流程实例
     * STATE_SUSPENDED-挂起的流程实例
     * STATE_COMPLETED-通过正常结束事件完成
     * STATE_EXTERNALLY_TERMINATED-外部终止，例如通过REST API终止
     * STATEINTERNALY_TERMINATED-内部终止，例如通过终止边界事件
     */
    @ApiModelProperty("当前状态")
    private String currentState;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private Date endTime;
}
