package com.xjrsoft.module.workflow.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xjrsoft.module.workflow.entity.WorkflowFormRelation;
import com.xjrsoft.module.workflow.mapper.WorkflowFormRelationMapper;
import com.xjrsoft.module.workflow.service.IWorkflowFormRelationService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 工作流 流程 与 表单关联表 服务实现类
 * </p>
 *
 * @author tzx
 * @since 2023-03-27
 */
@Service
public class WorkflowFormRelationServiceImpl extends ServiceImpl<WorkflowFormRelationMapper, WorkflowFormRelation> implements IWorkflowFormRelationService {

    /**
     * 更新流程状态
     */
    public boolean updateCurrentState(WorkflowFormRelation relation) {
        return this.update(Wrappers.<WorkflowFormRelation>lambdaUpdate()
                .set(WorkflowFormRelation::getCurrentState, relation.getCurrentState())
                .set(WorkflowFormRelation::getStartTime, relation.getStartTime())
                .set(WorkflowFormRelation::getEndTime, relation.getEndTime())
                .eq(WorkflowFormRelation::getProcessId, relation.getProcessId())
        );
    }
}
