package com.xjrsoft.module.xycxedu.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 考试科目成绩表
* @Author dzx
* @Date: 2024年7月18日
* @Version 1.0
*/
@Data
@TableName("exam_subject_score")
@ApiModel(value = "考试科目成绩表", description = "考试科目成绩表")
public class ExamSubjectScore implements Serializable {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty("主键")
    @TableId
    private Long id;

    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;

    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;

    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
     * 有效标志
     */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;

    /**
    * 学期id
    */
    @ApiModelProperty("学期id")
    private Long semesterId;
    /**
    * 考试计划名称
    */
    @ApiModelProperty("考试计划名称")
    private String milexamname;
    /**
    * 考试计划id
    */
    @ApiModelProperty("考试计划id")
    private Long milexamid;

    @ApiModelProperty("课程科目id(base_course_subject)")
    private Long courseSubjectId;

    @ApiModelProperty("课程名称")
    private String coursename;

    @ApiModelProperty("学生id(xjr_user)")
    private Long userId;

    @ApiModelProperty("分数")
    private Integer score;

    @ApiModelProperty("班级排名")
    private Integer classRanking;

    @ApiModelProperty("年级排名")
    private Integer gradeRanking;

}