-- ------------------------------------------------------------------加班申请--------------------------------------------------------------------
-- ----------------------------
-- 加班申请-加班人
-- ----------------------------
DROP TABLE IF EXISTS wf_overtime_teacher;
CREATE TABLE wf_overtime_teacher
(
    id BIGINT NOT NULL COMMENT '主键编号',
    `create_user_id` BIGINT NULL DEFAULT NULL COMMENT '创建人',
    `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
    `modify_user_id` BIGINT NULL DEFAULT NULL COMMENT '修改人',
    `modify_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
    `delete_mark` INT NOT NULL COMMENT '删除标记',
    `enabled_mark` INT NOT NULL COMMENT '有效标志',
    `sort_code` INT NULL DEFAULT NULL COMMENT '序号',
    `sex_cn` varchar(100) NULL DEFAULT NULL COMMENT '性别',
    `teacher_no` varchar(100) NULL DEFAULT NULL COMMENT '工号',
    `wf_overtime_id` bigint NULL DEFAULT NULL COMMENT '加班申请编号',
    `teacher_user_id` bigint NULL DEFAULT NULL COMMENT '加班人编号',
    `teacher_user_name` varchar(200) NULL DEFAULT NULL COMMENT '加班人姓名',
    `department_id` bigint NULL DEFAULT NULL COMMENT '所属机构(xjr_department)',
    `department_name` varchar(200) NULL DEFAULT NULL COMMENT '所属机构名称',
    PRIMARY KEY (`id`)
) ENGINE=INNODB DEFAULT CHARSET=utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT '加班申请-加班人';
-- ------------------------------------------------------------------加班申请--------------------------------------------------------------------


-- ------------------------------------------------------------------教师获奖登记--------------------------------------------------------------------
-- ----------------------------
-- 教师获奖登记
-- ----------------------------
DROP TABLE IF EXISTS teacher_award;
CREATE TABLE teacher_award
(
    id BIGINT NOT NULL COMMENT '主键编号',
    `create_user_id` BIGINT NULL DEFAULT NULL COMMENT '创建人',
    `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
    `modify_user_id` BIGINT NULL DEFAULT NULL COMMENT '修改人',
    `modify_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
    `delete_mark` INT NOT NULL COMMENT '删除标记',
    `enabled_mark` INT NOT NULL COMMENT '有效标志',
    `sort_code` INT NULL DEFAULT NULL COMMENT '序号',
    `applicant_user_id` bigint NULL DEFAULT NULL COMMENT '申请人',
    `award_type` varchar(20) NULL DEFAULT NULL COMMENT '获奖类型(xjr_dictionary_item[award_type])',

    `award_level` varchar(20) NULL DEFAULT NULL COMMENT '奖项级别(xjr_dictionary_item[honors_level])',
    `competition_name`varchar(200) NULL DEFAULT NULL COMMENT '赛项名称',
    `award_grade`varchar(200) NULL DEFAULT NULL COMMENT '获奖等级（一等奖、二等奖、三等奖、指导奖一等奖、指导奖二等奖、指导奖三等奖）',
    `award_group`varchar(200) NULL DEFAULT NULL COMMENT '组别（职工、师生同赛）',

    `paper_name`varchar(200) NULL DEFAULT NULL COMMENT '论文名称',
    `journal_name`varchar(200) NULL DEFAULT NULL COMMENT '期刊名称',
    `journal_number`varchar(200) NULL DEFAULT NULL COMMENT '期刊号',
    `journal_level`varchar(200) NULL DEFAULT NULL COMMENT '期刊级别（国家级、省级）',
    `issue_date` date NULL DEFAULT NULL COMMENT '发表时间',

    `approval_user_id` bigint NULL DEFAULT NULL COMMENT '审核人',
    `remark` varchar(1000) COMMENT '备注',
    `file_id` BIGINT NULL DEFAULT NULL COMMENT '附件文件id',
    `status` int not null default 0 COMMENT '状态（1:结束 0:未结束）',
    PRIMARY KEY (`id`)
) ENGINE=INNODB DEFAULT CHARSET=utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT '教师获奖登记';

-- ----------------------------
-- 教师认定
-- ----------------------------
DROP TABLE IF EXISTS teacher_identify;
CREATE TABLE teacher_identify
(
    id BIGINT NOT NULL COMMENT '主键编号',
    `create_user_id` BIGINT NULL DEFAULT NULL COMMENT '创建人',
    `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
    `modify_user_id` BIGINT NULL DEFAULT NULL COMMENT '修改人',
    `modify_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
    `delete_mark` INT NOT NULL COMMENT '删除标记',
    `enabled_mark` INT NOT NULL COMMENT '有效标志',
    `sort_code` INT NULL DEFAULT NULL COMMENT '序号',
    `applicant_user_id` bigint NULL DEFAULT NULL COMMENT '申请人',

    `honors_type` varchar(200) NULL DEFAULT NULL COMMENT '荣誉类型(骨干老师、双师型教师)',
    `identify_date` varchar(100) NULL DEFAULT NULL COMMENT '认定时间(年)',
    `certificate_file_id` BIGINT NULL DEFAULT NULL COMMENT '证书文件id',
    `policy_file_id` BIGINT NULL DEFAULT NULL COMMENT '政策文件id',
    `remark` varchar(1000) COMMENT '备注',
    `status` int not null default 0 COMMENT '状态（1:结束 0:未结束）',
    PRIMARY KEY (`id`)
) ENGINE=INNODB DEFAULT CHARSET=utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT '教师认定';
-- ------------------------------------------------------------------教师获奖登记--------------------------------------------------------------------


DROP TABLE IF EXISTS `wf_meeting_apply`;
CREATE TABLE `wf_meeting_apply` (
    `id` bigint NOT NULL,
    `meeting_apply_date` datetime DEFAULT NULL COMMENT '会议日期',
    `meeting_apply_s` time DEFAULT NULL COMMENT '会议开始时间',
    `meeting_apply_e` time DEFAULT NULL COMMENT '会议结束时间',
    `meeting_apply_address` varchar(500) DEFAULT NULL COMMENT '会议地点',
    `meeting_apply_format` varchar(500) DEFAULT NULL COMMENT '会议形式',
    `meeting_apply_participants` longtext COMMENT '参会人员',
    `meeting_apply_host` longtext COMMENT '主持人',
    `meeting_apply_theme` varchar(500) DEFAULT NULL COMMENT '会议主题',
    `meeting_apply_topics` varchar(500) DEFAULT NULL COMMENT '会议议题',
    `is_monogram` varchar(500) DEFAULT NULL COMMENT '是否准备座牌、会标',
    `monogram` varchar(500) DEFAULT NULL COMMENT '会标主题',
    `meeting_apply_tip` varchar(500) DEFAULT NULL COMMENT '会前消息提醒',
    `meeting_apply_pmm` longtext COMMENT '会前资料',
    `meeting_apply_sign_in` varchar(500) DEFAULT NULL COMMENT '会议签到签退',
    `meeting_apply_up` int DEFAULT NULL COMMENT '上传权限',
    `meeting_apply_mission` int DEFAULT NULL COMMENT '为参会人员创建工作任务',
    `meeting_apply_down` int DEFAULT NULL COMMENT '下载权限',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;