create table if not exists wf_textbook_subscription_item_history
(
    id                               bigint         not null comment '主键编号'
        primary key,
    create_user_id                   bigint         null comment '创建人',
    create_date                      datetime       null comment '创建时间',
    modify_user_id                   bigint         null comment '修改人',
    modify_date                      datetime       null comment '修改时间',
    delete_mark                      int            not null comment '删除标记',
    enabled_mark                     int            not null comment '有效标志',
    sort_code                        int            null comment '序号',
    wf_textbook_subscription_item_id bigint         null comment '教材教辅征订项编号',
    wf_textbook_subscription_id      bigint         null comment '教材教辅征订编号',
    subscription_type                varchar(20)    null comment '征订类型(xjr_dictionary_item[subscription_type])',
    issn                             varchar(200)   null comment '国际标准刊号',
    isbn                             varchar(200)   null comment '国际标准书号',
    book_name                        varchar(200)   null comment '书名',
    publishing_house                 varchar(200)   null comment '出版社',
    editor_in_chief                  varchar(200)   null comment '主编',
    appraisal_price                  decimal(10, 2) null comment '估价(元)',
    is_textbook_plan                 varchar(20)    null comment '是否为规划教材(xjr_dictionary_item[judgment_method_1])',
    course_subject_id                bigint         null comment '课程编号(base_course_subject)',
    class_ids                        varchar(1000)  null comment '班级编号(多个)',
    student_subscription_number      int            null comment '学生用书征订数量',
    teacher_subscription_number      int            null comment '教师教材征订数量',
    teacher_reference_number         int            null comment '教师教参用书征订数量',
    is_support_resources             varchar(20)    null comment '是否有配套教学资源(xjr_dictionary_item[judgment_method_1])',
    version                          varchar(100)   null comment '版本',
    textbook_id                      bigint         null comment '教材id',
    in_stockroom_num                 int default 0  null comment '当前征订任务征订项已经入库数量',
    alteration_type                  int default 0  null comment '变更类型（0：未变更，1：变更征订数量，2：变更课程）',
    history_version                  int default 1  null comment '当前任务征订项变更版本'
)
    comment '教材教辅征订项变更历史';












